
* --------------------------------------
* Generate education groups
*gen edugrp=0 if (dheduh==0 | dheduh==1 | dheduh==2 | dheduh==.)
*replace edugrp=1 if (dheduh==3 | dheduh==4)
*replace edugrp=2 if (dheduh==5 | dheduh==6)
* --------------------------------------

* --------------------------------------
* Generate empoyment status groups
*gen pens = (dhemph==4)
*gen unempl = (dhemph==3)
* --------------------------------------

* --------------------------------------
* Generate Position in income & wealth distribution
drop if dhiq01==.
gen incgrp = .
replace incgrp=0     if (dhiq01==1 | dhiq01==2)
replace incgrp=1 if (dhiq01==3 | dhiq01==4)
replace incgrp=2 if (dhiq01==5) 
*replace incgrp = dhiq01

drop if dhnq01==.
gen wealthgrp=.
replace wealthgrp=0     if (dhnq01==1 | dhnq01==2)
replace wealthgrp=1 if (dhnq01==3 | dhnq01==4)
replace wealthgrp=2 if (dhnq01==5) 
*replace wealthgrp = dhnq01
* --------------------------------------

* --------------------------------------
* Generate household size
*gen hhsizegrp=1 if dh0001==1
*replace hhsizegrp=2 if dh0001==2
*replace hhsizegrp=3 if dh0001>2
* --------------------------------------

* --------------------------------------
* Debt volues, interest and repayments

* Debt volumes
gen totdebt = dl1000
gen mortgdebt = dl1100
gen consdebt = dl1200

* Debt indicators
gen hastotdebt=(totdebt>0)
gen hasmortgdebt=dl1100i
gen hasconsdebt=dl1200i

* Total
gen intrpaym_totdebt=di1412
gen repaym_totdebt = dl2000*12

* Mortgage
* Step 1: flag true zeros 
gen miss_ditintm=(ditintm==.)
gen miss_ditinto=(ditinto==.)
* Step 2: replace missings with zeros to be able to sum
replace ditintm=0 if ditintm==.
replace ditinto=0 if ditinto==.
* Step 3: sum over HMR/other payments
gen intrpaym_mortgdebt=(ditintm + ditinto)
* Step 4: replace zeros with missings again
replace ditintm=. if miss_ditintm==1
replace ditinto=. if miss_ditinto==1
replace intrpaym_mortgdebt=. if (miss_ditintm==1 & miss_ditinto==1)
gen temp = intrpaym_mortgdebt/mortgdebt
replace intrpaym_mortgdebt=. if  temp<0.005
replace intrpaym_mortgdebt=. if intrpaym_mortgdebt<1.1
drop temp

gen repaym_mortgdebt = dl2100*12

* Cons.
gen intrpaym_consdebt=ditintn
gen repaym_consdebt = dl2200*12
* --------------------------------------

* --------------------------------------
* Define dependent variable
if Mortg==1 {
	gen debt =  mortgdebt 
	gen intrpaym = intrpaym_mortgdebt 
	gen repaym =  repaym_mortgdebt 
	gen hasdebt =  hasmortgdebt 
}
if Mortg==0 {
	gen debt = consdebt 
	gen intrpaym = intrpaym_consdebt 
	gen repaym = repaym_consdebt 
	gen hasdebt = hasconsdebt 
}
else if Mortg>1 {
	disp " ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !  "
	disp "WARNING: using total debt!!!"
	disp " ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !  "
	gen debt =  totdebt 
	gen intrpaym = intrpaym_totdebt
	gen repaym =  repaym_totdebt
	gen hasdebt =  hastotdebt
}
* --------------------------------------


* --------------------------------------
do CtryGrouping.do
* --------------------------------------


* --------------------------------------
* Drop non-necessary varialbes
drop intrpaym_* repaym_* totdebt mortgdebt consdebt hasconsdebt hasmortgdebt hastotdebt
* --------------------------------------

