set more off
use IntRates_ALL_New.dta, clear
do BaseYearsAssetsLiabilities.do

* Rescale to in%-notation
replace IntRH_all = IntRH_all/100
replace IntRC_all = IntRC_all/100
replace IntR_O = IntR_O /100

* Generate base year indicators
gen baseyear=0
local ctrylist "ES FI GR FR NL PT BE CY SK IT LU MT SI AT DE"
foreach ii of local ctrylist {
	replace baseyear=1 if (PERIOD_NAME==stSmplAsst_`ii' & ctryid=="`ii'")
}
rename PERIOD_NAME date
compress

rename ctryid sa0100
fillin date sa0100
replace IntRH_all=0 if _fillin==1 
replace IntRC_all=0 if _fillin==1
replace IntR_O=0 if _fillin==1

* ------------------------------------------------------
* Set Base Variable
if Mortg==1 {
	*gen intr_var = IntRH_all_t 
	gen intr_var = IntR_O
}
if Mortg==0 {
	gen intr_var = IntRC_all
}
* ------------------------------------------------------

drop _fillin


split date, parse(Q) gen(date)
destring date1, replace
destring date2, replace
gen currentdate=date1*10+date2
drop if currentdate<20081

keep date sa0100 intr_var
compress

sort sa0100 date
*saveold IntRates_ALL.dta, replace

if Mortg==1 {
	saveold IntRates_M.dta, replace
}
if Mortg==0 {
	saveold IntRates_C.dta, replace
}

