
* Generate variable to record smoothed values
gen double totcelldebt_sm=.
gen intr_t0_sm = .

levelsof sa0100, local(ctrylist)
foreach ii of local ctrylist {
	* income group
	qui levelsof incgrp, local(incgrp_list) 
	foreach ij of local incgrp_list {
		* wealth group
		qui levelsof wealthgrp, local(wealth_list)
		foreach ik of local incgrp_list {
		
			* Cell aggregate debt
			gen double temp = totcelldebt if (sa0100=="`ii'" & incgrp==`ij' & wealthgrp==`ik')		
			lpoly temp age, gen(temp_lpoly) at(age) nograph kernel(gaussian) 
		    * Rescale to have identical mean			
			replace temp_lpoly=. if temp==.
			replace temp_lpoly=max(temp_lpoly,0)
			egen double temp_sum_sm = sum(temp_lpoly) 
			egen double temp_sum_asis = sum(temp)
			replace temp_lpoly=temp_lpoly*temp_sum_asis / temp_sum_sm

			replace totcelldebt_sm = temp_lpoly if (sa0100=="`ii'" & incgrp==`ij' & wealthgrp==`ik')	
			drop temp temp_lpoly temp_sum_sm temp_sum_asis
			
			* Interest payments
			gen double temp = intr_t0 if (sa0100=="`ii'" & incgrp==`ij' & wealthgrp==`ik')		
			lpoly temp age, gen(temp_lpoly) at(age) nograph kernel(gaussian) 
		    * Rescale to have identical mean			
			replace temp_lpoly=. if temp==.
			replace temp_lpoly=max(temp_lpoly,0)
			egen double temp_sum_sm = sum(temp_lpoly) 
			egen double temp_sum_asis = sum(temp)
			replace temp_lpoly=temp_lpoly*temp_sum_asis / temp_sum_sm

			replace intr_t0_sm = temp_lpoly if (sa0100=="`ii'" & incgrp==`ij' & wealthgrp==`ik')	
			drop temp temp_lpoly temp_sum_sm temp_sum_asis
		}
	}
}




