* draw asset participation by percentile of euro area income

set more off 
clear
clear matrix
set mem 3000m
set matsize 155
program drop _all
discard
do setPath
local basePath "$basePath"
local stataPath "$stataPath"
local logPath "`stataPath'"
local dataPath "`basePath'\data"
global dataPath "`dataPath'"
adopath + "`stataPath'"
capture log close
cd "`stataPath'"


import excel "`dataPath'\AssetParticipation.xls", sheet("PartByIncomeQuint") firstrow clear
gen percentileOrder = _n
global nobs =_N


#delimit;
forvalues percentile = 1/$nobs {;
	global percentileName = percentileofEAincome[`percentile'];
	label define percentileLabelSorted `percentile' "$percentileName", modify;
};
label values percentileOrder percentileLabelSorted;

* Asset participation by percentile of ea income;
#delimit;
graph hbar (asis) HMR shares bonds, over(percentileOrder)
bar(1, color(blue*5)) bar(2, color(blue*1.2)) bar(3, color(blue*0.3)) 
legend(label(1 "Household Main Residence") label(2 "Shares") label(3 "Bonds") rows(3))
ytitle("Percent")
graphregion(color(white));
graph export "`dataPath'\fAssetParticipationByIncome.pdf", replace;



