* draw debt-service-to-income ratios by income and by country for 2008 and 2013 ;
* draw change in DSI and mortg DSI 2008 - 2013, mechanical and unempSimul by income quintile and by country;

* housekeeping ------------------------------------------------------------------;
set more off 
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
capture log close;
cd "`stataPath'";
* --------------------------------------------------------------------------------;

* change in DSI by income;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("changeDSIbyInc") firstrow clear;
label define incLabel 1 "Less than 20" 2 "20-40"  3 "40-60" 4 "60-80" 5 "80-100";
label values incQuint incLabel;
graph bar (asis) dodstotalp_unemp dodstotalp_mech, over(incQuint)
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
legend(pos(1) col(1) ring(0) label(1 "Full Simulation") label(2 "No Unemployment Effect"))
ytitle("percentage points")
title("Change in Debt-Service-To-Income 2008-2013")
blabel(bar, position(inside) format(%9.1f) color(white))
graphregion(color(white));
graph export "`dataPath'\changeDSIbyInc.pdf", replace;
graph export "`dataPath'\changeDSIbyInc.wmf", replace;

* change in DSI by country;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("changeDSIbyCntry") firstrow clear;
graph bar (asis) dodstotalp_unemp dodstotalp_mech, over(country, label(angle(45)))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
legend(pos(1) col(1) ring(0) label(1 "Full Simulation") label(2 "No Unemployment Effect"))
ytitle("percentage points")
title("Change in Debt-Service-To-Income 2008-2013")
graphregion(color(white));
graph export "`dataPath'\changeDSIbyCntry.pdf", replace;
graph export "`dataPath'\changeDSIbyCntry.wmf", replace;
*blabel(bar,  format(%9.0f) color(black))

* change in mortgDSI by income;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("changeMortgDSIbyInc") firstrow clear;
label define incLabel 1 "Less than 20" 2 "20-40"  3 "40-60" 4 "60-80" 5 "80-100";
label values incQuint incLabel;
graph bar (asis) dodsmortg_unemp dodsmortg_mech, over(incQuint)
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
legend(col(1) ring(0) label(1 "Full Simulation") label(2 "No Unemployment Effect"))
ytitle("percentage points")
blabel(bar, position(inside) format(%9.1f) color(white))
graphregion(color(white));
graph export "`dataPath'\changeMortgDSIbyInc.pdf", replace;
graph export "`dataPath'\changeMortgDSIbyInc.wmf", replace;
*title("Change in Mortgage-Debt-Service-To-Income 2008-2013")


* change in mortgDSI by country;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("changeMortgDSIbyCntry") firstrow clear;
graph bar (asis) dodsmortg_unemp dodsmortg_mech, over(country, label(angle(45)))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
legend(pos(1) col(1) label(1 "Full Simulation") label(2 "No Unemployment Effect"))
ytitle("percentage points")
graphregion(color(white));
graph export "`dataPath'\changeMortgDSIbyCntry.pdf", replace;
graph export "`dataPath'\changeMortgDSIbyCntry.wmf", replace;
*blabel(bar,  format(%9.0f) color(black))
*title("Change in Mortgage-Debt-Service-To-Income 2008-2013")
*---------------------------------------------------------------------------------------------------------------------------------;
* debt service-to-income by income;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("dodstotalpByIncome") firstrow clear;
label define incLabel 1 "Less than 20" 2 "20-40"  3 "40-60" 4 "60-80" 5 "80-100";
label values incQuint incLabel;
graph bar (asis) dodstotalp2008 dodstotalp2013, over(incQuint)
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
ytitle("percent")
legend(pos(1) ring(0) label(1 "2008Q1") label(2 "2013Q2"))
blabel(bar, position(inside) format(%9.1f) color(white))
graphregion(color(white));
graph export "`dataPath'\DebtServiceToIncomeByInc.pdf", replace;
graph export "`dataPath'\DebtServiceToIncomeByInc.wmf", replace;
*ytitle("Median Debt-Service-To-Income (%)")

* debt service-to-income by country;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("dodstotalpByCountry") firstrow clear;
graph bar (asis) dodstotalp2008 dodstotalp2013, over(country, label(angle(45)))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
legend(pos(1) ring(0) label(1 "2008Q1") label(2 "2013Q2"))
blabel(bar,  format(%9.0f) color(black))
ytitle("percent")
graphregion(color(white));
graph export "`dataPath'\DebtServiceToIncomeByCntry.pdf", replace;
graph export "`dataPath'\DebtServiceToIncomeByCntry.wmf", replace;
*ytitle("Median Debt-Service-To-Income (%)")

* mortgage-debt-service-to-income by income;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("dodsmortgByIncome") firstrow clear;
label define incLabel 1 "Less than 20" 2 "20-40"  3 "40-60" 4 "60-80" 5 "80-100";
label values incQuint incLabel;
graph bar (asis) dodsmortg2008 dodsmortg2013, over(incQuint)
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
ytitle("percent")
legend(pos(1) ring(0) label(1 "2008Q1") label(2 "2013Q2"))
blabel(bar, position(inside) format(%9.1f) color(white))
graphregion(color(white));
graph export "`dataPath'\MortgDebtServiceToIncomeByInc.pdf", replace;
graph export "`dataPath'\MortgDebtServiceToIncomeByInc.wmf", replace;
*ytitle("Median Mortgage-Debt-Service-To-Income (%)")

* mortgage-debt-service-to-income by country;
import excel "`dataPath'\DebtServiceToIncome.xls", sheet("dodsmortgByCountry") firstrow clear;
graph bar (asis) dodsmortg2008 dodsmortg2013, over(country, label(angle(45)))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) 
legend(pos(1) ring(0) label(1 "2008Q1") label(2 "2013Q2"))
ytitle("percent")
blabel(bar,  format(%9.0f) color(black))
graphregion(color(white));
graph export "`dataPath'\MortgDebtServiceToIncomeByCntry.pdf", replace;
graph export "`dataPath'\MortgDebtServiceToIncomeByCntry.wmf", replace;
*ytitle("Median Mortgage-Debt-Service-To-Income (%)")

















