* 26/06/2014
* draws income & networth GINIs between 2008 and 2013 across countries
* you need ainequal.ado in your program folder

cd "U:\akmaral\HFCS\HFCSupdate\MASTER\programs"
*----------------------------------------------------------------------------------------------;
* housekeeping;
#delimit;
clear; clear matrix; clear mata; program drop _all; discard;
set mem 3000m; set maxvar 30000; set matsize 155; set scheme s2color; set more off;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
capture log close;
global eolString "_char(92) _char(92)";		* string denoting new line in LaTeX tables \\;
cd "`stataPath'";
log using "`logPath'\DrawGini_Income.log", replace;
cd "`dataPath'";

*----------------------------------------------------------------------------------------------;
* 2008;
use "`dataPath'\D_compl_2008_unempSimul_1.dta";
keep   hw0010 sa0100 sa0010 im0100 id di2000 dn3001;
rename di2000 totIncome;
rename dn3001 networth;
rename hw0010 wgt;
rename sa0100 country;

local allCountries "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK";
local allIncomeVars "totIncome networth";  *also include a variable without transfers and pensions!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!;


* Data transformations;
*----------------------------------------------------------------------------------------------;
foreach var of local allIncomeVars {;	
	foreach cntry of local allCountries {;	
		disp "Country: `cntry'";
		ainequal `var' [weight=wgt] if country=="`cntry'";
		mat tempMat = r(b);
		sca gini_`var'_`cntry' = tempMat[1,1];
	};

	disp "Country: All countries";
	ainequal `var' [weight=wgt];
	mat tempMat = r(b);
	sca gini_`var'_ALL = tempMat[1,1];
};
cd "`basePath'";
*----------------------------------------------------------------------------------------------;
local allCountries "ALL AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK";
gen observation = _n;
gen gini_totIncome = .;
gen gini_networth = .;
gen countryLabel = "L";
local counter = 1;

foreach cntry of local allCountries {;	
	replace gini_totIncome = gini_totIncome_`cntry' in `counter';
	replace gini_networth = gini_networth_`cntry' in `counter';
	replace countryLabel = "`cntry'" in `counter';
	local counter = `counter'+1;
};
gen countryNum = 0;
replace countryNum = 1 if countryLabel == "ALL"; * All countries;
replace countryNum = 2 if countryLabel == "AT"; * Austria;
replace countryNum = 3 if countryLabel == "BE"; * Belgium;
replace countryNum = 4 if countryLabel == "CY"; * Cyprus;
replace countryNum = 5 if countryLabel == "DE"; * Germany;
replace countryNum = 6 if countryLabel == "ES"; * Spain;
replace countryNum = 7 if countryLabel == "FI"; * Finland;
replace countryNum = 8 if countryLabel == "FR"; * France;
replace countryNum = 9 if countryLabel == "GR"; * Greece;
replace countryNum = 10 if countryLabel == "IT"; * Italy;
replace countryNum = 11 if countryLabel == "LU"; * Luxembourg;
replace countryNum = 12 if countryLabel == "MT"; * Malta;
replace countryNum = 13 if countryLabel == "NL"; * Netherlands;
replace countryNum = 14 if countryLabel == "PT"; * Portugal;
replace countryNum = 15 if countryLabel == "SI"; * Slovenia;
replace countryNum = 16 if countryLabel == "SK"; * Slovakia;

label defin countryLabelLong 1 "All Countries" 2 "Austria" 3 "Belgium" 4 "Cyprus" 5 "Germany" 6 "Spain" 7 "Finland" 8 "France" 9 "Greece" 10 "Italy" 11 "Luxembourg" 12 "Malta" 13 "Netherlands" 14 "Portugal" 15 "Slovenia" 16 "Slovakia";
label values countryNum countryLabelLong;

* rename and save income and netwealth GINIs;
rename gini_totIncome gini_totIncome_2008;
rename gini_networth gini_networth_2008;
keep countryNum gini_totIncome_2008 gini_networth_2008;
gen number=_n;
drop if number >16;
save "`dataPath'\gini_2008.dta", replace;


*----------------------------------------------------------------------------------------------;
* 2013;
use "`dataPath'\D_compl_2013_unempSimul_1.dta";
keep   hw0010 sa0100 sa0010 im0100 id di2000 dn3001;
rename di2000 totIncome;
rename dn3001 networth;
rename hw0010 wgt;
rename sa0100 country;
local allCountries "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK";
local allIncomeVars "totIncome networth";  *also include a variable without transfers and pensions!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!;


* Data transformations;
*----------------------------------------------------------------------------------------------;
foreach var of local allIncomeVars {;	
	foreach cntry of local allCountries {;	
		disp "Country: `cntry'";
		ainequal `var' [weight=wgt] if country=="`cntry'";
		mat tempMat = r(b);
		sca gini_`var'_`cntry' = tempMat[1,1];
	};

	disp "Country: All countries";
	ainequal `var' [weight=wgt];
	mat tempMat = r(b);
	sca gini_`var'_ALL = tempMat[1,1];
};
cd "`basePath'";
*----------------------------------------------------------------------------------------------;
local allCountries "ALL AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK";
gen observation = _n;
gen gini_totIncome = .;
gen gini_networth = .;
gen countryLabel = "L";
local counter = 1;

foreach cntry of local allCountries {;	
	replace gini_totIncome = gini_totIncome_`cntry' in `counter';
	replace gini_networth = gini_networth_`cntry' in `counter';
	replace countryLabel = "`cntry'" in `counter';
	local counter = `counter'+1;
};
gen countryNum = 0;
replace countryNum = 1 if countryLabel == "ALL"; * All countries;
replace countryNum = 2 if countryLabel == "AT"; * Austria;
replace countryNum = 3 if countryLabel == "BE"; * Belgium;
replace countryNum = 4 if countryLabel == "CY"; * Cyprus;
replace countryNum = 5 if countryLabel == "DE"; * Germany;
replace countryNum = 6 if countryLabel == "ES"; * Spain;
replace countryNum = 7 if countryLabel == "FI"; * Finland;
replace countryNum = 8 if countryLabel == "FR"; * France;
replace countryNum = 9 if countryLabel == "GR"; * Greece;
replace countryNum = 10 if countryLabel == "IT"; * Italy;
replace countryNum = 11 if countryLabel == "LU"; * Luxembourg;
replace countryNum = 12 if countryLabel == "MT"; * Malta;
replace countryNum = 13 if countryLabel == "NL"; * Netherlands;
replace countryNum = 14 if countryLabel == "PT"; * Portugal;
replace countryNum = 15 if countryLabel == "SI"; * Slovenia;
replace countryNum = 16 if countryLabel == "SK"; * Slovakia;

label defin countryLabelLong 1 "All Countries" 2 "Austria" 3 "Belgium" 4 "Cyprus" 5 "Germany" 6 "Spain" 7 "Finland" 8 "France" 9 "Greece" 10 "Italy" 11 "Luxembourg" 12 "Malta" 13 "Netherlands" 14 "Portugal" 15 "Slovenia" 16 "Slovakia";
label values countryNum countryLabelLong;

* rename and save Income GINIs;
rename gini_totIncome gini_totIncome_2013;
rename gini_networth gini_networth_2013;
keep countryNum gini_totIncome_2013 gini_networth_2013;
gen number=_n;
drop if number >16;
save "`dataPath'\gini_2013.dta", replace;
*----------------------------------------------------------------------------------------------;
* merge two gini datasets 2008 and 2013 and save;
use "`dataPath'\gini_2008.dta";
merge m:m number using "`dataPath'\gini_2013.dta";
drop _merge;
gen diff_gini_totIncome = gini_totIncome_2013 - gini_totIncome_2008;
gen diff_gini_networth = gini_networth_2013 - gini_networth_2008;
save "`dataPath'\gini_2010_2013.dta", replace;



* income gini - 2008-2013;
graph bar gini_totIncome_2008 gini_totIncome_2013, over(countryNum, label(angle(45))) nofill legend(label(1 "2008Q1") label(2 "2013Q2"))
bar(1, color(blue*5)) bar(2, color(blue*1.2))
yscale(r(0.4 0.9)) ylabel(0 "0" 0.2 "0.2" 0.4 "0.4" 0.6 "0.6" 0.8 "0.8") 
graphregion(color(white)) ytitle("Gini Coefficients -- Total Income");
graph export "`dataPath'\fGiniTotIncome_2008_2013.pdf", replace;
graph export "`dataPath'\fGiniTotIncome_2008_2013.wmf", replace;

* income gini - difference;
graph bar diff_gini_totIncome, over(countryNum, label(angle(45))) 
bar(1, color(cranberry)) 
graphregion(color(white)) ytitle("Change in Gini Coefficients - Total Income");
graph export "`dataPath'\fGiniTotIncome_diff.pdf", replace;
graph export "`dataPath'\fGiniTotIncome_diff.wmf", replace;



* networth gini - 2008-2013;
graph bar gini_networth_2008 gini_networth_2013, over(countryNum, label(angle(45))) nofill legend(label(1 "2008Q1") label(2 "2013Q2"))
bar(1, color(blue*5)) bar(2, color(blue*1.2))
yscale(r(0.4 0.9)) ylabel(0 "0" 0.2 "0.2" 0.4 "0.4" 0.6 "0.6" 0.8 "0.8") 
graphregion(color(white)) ytitle("Gini Coefficients -- Net Wealth");
graph export "`dataPath'\fGiniNetworth_2008_2013.pdf", replace;
graph export "`dataPath'\fGiniNetworth_2008_2013.wmf", replace;


* networth gini - difference;
graph bar diff_gini_networth, over(countryNum, label(angle(45))) 
bar(1, color(cranberry)) 
graphregion(color(white)) ytitle("Change in Gini Coefficients - Net Worth");
graph export "`dataPath'\fGiniNetworth_diff.pdf", replace;
graph export "`dataPath'\fGiniNetworth_diff.wmf", replace;























