*cd "D:\akmaral\HFCS\HFCSupdate\MASTER\programs"
set more off 
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
capture log close;
cd "`stataPath'";



use "`dataPath'\D_compl.dta";

gen country = sa0100 ;
replace country="Austria" if sa0100=="AT";
replace country="Belgium" if sa0100=="BE";
replace country="Cyprus" if sa0100=="CY";
replace country="Finland" if sa0100=="FI";
replace country="Germany" if sa0100=="DE";
replace country="Spain" if sa0100=="ES";
replace country="Finland" if sa0100=="FI";
replace country="France" if sa0100=="FR";
replace country="Greece" if sa0100=="GR";
replace country="Italy" if sa0100=="IT";
replace country="Luxembourg" if sa0100=="LU";
replace country="Malta" if sa0100=="MT";
replace country="Netherlands" if sa0100=="NL";
replace country="Portugal" if sa0100=="PT";
replace country="Slovenia" if sa0100=="SI";
replace country="Slovakia" if sa0100=="SK";


rename dn3001 dn3001_2010;

keep country sa0100 dn3001_2010 hw0010 id;
gen number=_n;
sort id;
save "`dataPath'\dn3001_2010.dta", replace;
***************************************************************;

use "`dataPath'\D_compl_2008_1.dta";

gen country = sa0100 ;
replace country="Austria" if sa0100=="AT";
replace country="Belgium" if sa0100=="BE";
replace country="Cyprus" if sa0100=="CY";
replace country="Finland" if sa0100=="FI";
replace country="Germany" if sa0100=="DE";
replace country="Spain" if sa0100=="ES";
replace country="Finland" if sa0100=="FI";
replace country="France" if sa0100=="FR";
replace country="Greece" if sa0100=="GR";
replace country="Italy" if sa0100=="IT";
replace country="Luxembourg" if sa0100=="LU";
replace country="Malta" if sa0100=="MT";
replace country="Netherlands" if sa0100=="NL";
replace country="Portugal" if sa0100=="PT";
replace country="Slovenia" if sa0100=="SI";
replace country="Slovakia" if sa0100=="SK";


rename dn3001 dn3001_2008;

keep country sa0100 dn3001_2008 hw0010 id;
gen number=_n;
sort id;

save "`dataPath'\dn3001_2008.dta", replace;
***************************************************************;

use "`dataPath'\D_compl_2013_1.dta";
gen country = sa0100 ;
replace country="Austria" if sa0100=="AT";
replace country="Belgium" if sa0100=="BE";
replace country="Cyprus" if sa0100=="CY";
replace country="Finland" if sa0100=="FI";
replace country="Germany" if sa0100=="DE";
replace country="Spain" if sa0100=="ES";
replace country="Finland" if sa0100=="FI";
replace country="France" if sa0100=="FR";
replace country="Greece" if sa0100=="GR";
replace country="Italy" if sa0100=="IT";
replace country="Luxembourg" if sa0100=="LU";
replace country="Malta" if sa0100=="MT";
replace country="Netherlands" if sa0100=="NL";
replace country="Portugal" if sa0100=="PT";
replace country="Slovenia" if sa0100=="SI";
replace country="Slovakia" if sa0100=="SK";


rename dn3001 dn3001_2013;
keep country sa0100 dn3001_2013 hw0010 id;
gen number=_n;
sort id;

save "`dataPath'\dn3001_2013.dta", replace;
***************************************************************;

use "`dataPath'\D_compl_2013_0.dta";
gen country = sa0100 ;
replace country="Austria" if sa0100=="AT";
replace country="Belgium" if sa0100=="BE";
replace country="Cyprus" if sa0100=="CY";
replace country="Finland" if sa0100=="FI";
replace country="Germany" if sa0100=="DE";
replace country="Spain" if sa0100=="ES";
replace country="Finland" if sa0100=="FI";
replace country="France" if sa0100=="FR";
replace country="Greece" if sa0100=="GR";
replace country="Italy" if sa0100=="IT";
replace country="Luxembourg" if sa0100=="LU";
replace country="Malta" if sa0100=="MT";
replace country="Netherlands" if sa0100=="NL";
replace country="Portugal" if sa0100=="PT";
replace country="Slovenia" if sa0100=="SI";
replace country="Slovakia" if sa0100=="SK";


rename dn3001 dn3001_2013nom;
keep country sa0100 dn3001_2013nom hw0010 id;
gen number=_n;
sort id;

save "`dataPath'\dn3001_2013nom.dta", replace;
***************************************************************;

use "`dataPath'\dn3001_2010.dta";
merge 1:1 id using "`dataPath'\dn3001_2013.dta";
drop _merge;
save "`dataPath'\dn3001_2010_2013.dta", replace;

use "`dataPath'\dn3001_2008.dta";
merge 1:1 id using "`dataPath'\dn3001_2010_2013.dta";
drop _merge;

save "`dataPath'\dn3001_2008_2010_2013.dta", replace;

use "`dataPath'\dn3001_2013nom.dta";
merge 1:1 id using "`dataPath'\dn3001_2008_2010_2013.dta";
drop _merge;
***************************************************************;

gen dn3001_2008_000 = dn3001_2008/1000;
gen dn3001_2010_000 = dn3001_2010/1000;
gen dn3001_2013_000 = dn3001_2013/1000;
gen dn3001_2013nom_000 = dn3001_2013nom/1000;

graph bar (mean) dn3001_2010_000  dn3001_2013nom_000 [pweight = hw0010], over(country, label(angle(45)))  
nofill legend(label(1 "HFCS Reference Year") label(2 "2013Q2"))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) graphregion(color(white))
ylabel(0(200)800);

graph export "`dataPath'\fMeanNetWealth2.pdf", replace;




graph bar (median) dn3001_2010_000  dn3001_2013nom_000 [pweight = hw0010], over(country, label(angle(45)))  
nofill legend(label(1 "HFCS Reference Year") label(2 "2013Q2"))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) graphregion(color(white))
ylabel(0(200)800);

graph export "`dataPath'\fMedianNetWealth.pdf", replace;


graph bar (mean) dn3001_2008_000  dn3001_2013_000 [pweight = hw0010], over(country, label(angle(45)))  
nofill legend(label(1 "2008Q1") label(2 "2013Q2"))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) graphregion(color(white))
ylabel(0(200)800);

graph export "`dataPath'\fMeanNetWealth_GreatRecession.pdf", replace;

graph bar (median) dn3001_2008_000  dn3001_2013_000 [pweight = hw0010], over(country, label(angle(45)))  
nofill legend(label(1 "2008Q1") label(2 "2013Q2"))
bar(1, color(blue*5)) bar(2, color(blue*1.2)) graphregion(color(white))
ylabel(0(200)800);

graph export "`dataPath'\fMedianNetWealth_GreatRecession.pdf", replace;


