
* ------------------------------------------------------------------------------------
set more off

global basePath "D:\akmaral\HFCS\HFCSupdate\MASTER\programs"
*global basePath "C:\Users\Edgar\Desktop\HFCN_D\"

*global graphPath "$basePath\figures\graphs_borrconstr"  
cd "${basePath}"

* Prepare data (set dummies, drop values, etc.)
use "D:\akmaral\HFCS\HFCSupdate\MASTER\data\D_compl.dta", clear
do PrepareDataBorrowingConstr.do
* ------------------------------------------------------------------------------------



* ---------------------------------------------------------------------------------------
* 							Estimate Coefficients
* ---------------------------------------------------------------------------------------


* ---------------------------------------------------------------------------------------
* 1) Netw/Income levels / no quintiles        / country(group)dummies

* 1a) Run model 
probit depvar i.group i.unempl pens age_d* edu_* netwealth hhgrossinc 						 hhmemb_* i.owner i.hasdebt i.dsr40p [pweight=hw0010]
*margins, dydx(unempl netwealth hhgrossinc hasdebt dsr40 owner) /* atmeans */

* 1b) Store coefficients
do CoeffsModel_1.do		/* saves coefficients*/ 

* 1c) Test of prediction: make internal prediction
*predict depvar_pred_mod1a, pr
*do PredictModel_1.do	
*su depvar depvar_pred_mod1* if e(sample)==1


* ---------------------------------------------------------------------------------------
* 2) Netw/Income levels / including quintiles / country(group)dummies

* 2a) Run model 
probit depvar i.group i.unempl pens age_d* edu_* netwealth hhgrossinc netwquint_* incquint_* hhmemb_* owner i.hasdebt i.dsr40p [pweight=hw0010]
*margins, dydx(unempl netwealth hhgrossinc hasdebt dsr40 owner) /* atmeans */

* 2b) Store coefficients
do CoeffsModel_2.do		/* saves coefficients*/ 

* 2c) Test of prediction: make internal prediction
*predict depvar_pred_mod2a, pr
*do PredictModel_2.do	
*su depvar depvar_pred_mod2* if e(sample)==1


* ---------------------------------------------------------------------------------------
* 							Make Predictions
* ---------------------------------------------------------------------------------------


* Load new data (=SIMULATED DATA)
use "D:\akmaral\HFCS\HFCSupdate\MASTER\data\D_compl_2013_unempSimul_1.dta", clear

**New income and net wealth quintiles;
	**Generate income and net wealth quintiles;
	gen dhiq01_cntry = .
	gen dhiq01_ea = .
	gen dhnq01_cntry = .


	*Define a new label so the countries are ordered according to the official ECB order;
	label define country 1 "BE" 2 "DE" 3 "GR" 4 "ES" 5 "FR" 6 "IT" 7 "CY" 8 "LU" 9 "MT" 10 "NL" 11 "AT" 12 "PT" 13 "SI" 14 "SK" 15 "FI"
	generate aux = 1 if sa0100 == "BE"
	replace aux = 2 if sa0100 == "DE"
	replace aux = 3 if sa0100 == "GR" 
	replace aux = 4 if sa0100 == "ES" 
	replace aux = 5 if sa0100 == "FR" 
	replace aux = 6 if sa0100 == "IT" 
	replace aux = 7 if sa0100 == "CY" 
	replace aux = 8 if sa0100 == "LU" 
	replace aux = 9 if sa0100 == "MT" 
	replace aux = 10 if sa0100 == "NL" 
	replace aux = 11 if sa0100 == "AT" 
	replace aux = 12 if sa0100 == "PT" 
	replace aux = 13 if sa0100 == "SI" 
	replace aux = 14 if sa0100 == "SK" 
	replace aux = 15 if sa0100 == "FI" 
	label values aux country 
	rename aux cntryid 

	* j is a country number;
	forvalues j = 1(1)15 { 
	forvalues i = 1(1)5 {            
		*Income;
		_pctile di2000 [aweight=hw0010] if im0100 == `i' & cntryid ==`j',n(5) 
		replace dhiq01_cntry = 1 if im0100 == `i' & cntryid ==`j' & di2000 <= r(r1) 
		replace dhiq01_cntry = 2 if im0100 == `i' & cntryid ==`j'& di2000 > r(r1) & di2000 <= r(r2) 
		replace dhiq01_cntry = 3 if im0100 == `i' & cntryid ==`j'& di2000 > r(r2) & di2000 <= r(r3) 
		replace dhiq01_cntry = 4 if im0100 == `i' & cntryid ==`j'& di2000 > r(r3) & di2000 <= r(r4) 
		replace dhiq01_cntry = 5 if im0100 == `i' & cntryid ==`j'& di2000 > r(r4) 

		*Net wealth;
		_pctile dn3001 [aweight=hw0010] if im0100 == `i'& cntryid ==`j',n(5) 
		replace dhnq01_cntry = 1 if im0100 == `i' & cntryid ==`j'& dn3001 <= r(r1) 
		replace dhnq01_cntry = 2 if im0100 == `i' & cntryid ==`j'& dn3001 > r(r1) & dn3001 <= r(r2) 
		replace dhnq01_cntry = 3 if im0100 == `i' & cntryid ==`j'& dn3001 > r(r2) & dn3001 <= r(r3) 
		replace dhnq01_cntry = 4 if im0100 == `i' & cntryid ==`j'& dn3001 > r(r3) & dn3001 <= r(r4) 
		replace dhnq01_cntry = 5 if im0100 == `i' & cntryid ==`j'& dn3001 > r(r4) 
	} 
	} 

forvalues i = 1(1)5 {            
		*Income;
		_pctile di2000 [aweight=hw0010] if im0100 == `i',n(5) 
		replace dhiq01_ea = 1 if im0100 == `i' & di2000 <= r(r1) 
		replace dhiq01_ea = 2 if im0100 == `i' & di2000 > r(r1) & di2000 <= r(r2) 
		replace dhiq01_ea = 3 if im0100 == `i' & di2000 > r(r2) & di2000 <= r(r3) 
		replace dhiq01_ea = 4 if im0100 == `i' & di2000 > r(r3) & di2000 <= r(r4) 
		replace dhiq01_ea = 5 if im0100 == `i' & di2000 > r(r4) 

	} 
	


rename dhiq01_cntry dhiq01
rename dhnq01_cntry dhnq01 
	
	
	
do PrepareDataBorrowingConstr.do
do PredictModel_1.do
do PredictModel_2.do

su depvar depvar_pred_mod1 depvar_pred_mod2 
gen borrconstr =  (depvar_pred_mod1 + depvar_pred_mod2)/2 



STOP


*  !!!!!!!!!!!!!!!!!!!!!!!!!!!! NOT YET CODED !!!!!!!!!!!!!!!!!!!!!!!!!!!!

* ---------------------------------------------------------------------------------------
* 3) Netw/Income levels / no quintiles        / country(group)dummies + Separate Models
probit depvar i.group i.unempl pens age_d* edu_* netwealth hhgrossinc 						 hhmemb_* owner  i.hasdebt i.dsr40p [pweight=hw0010] if ctry_group=="Cont"
*margins, dydx(unempl netwealth hhgrossinc hasdebt dsr40 owner) /* atmeans */
predict depvar_pred_mod3a, pr

probit depvar i.group i.unempl pens age_d* edu_* netwealth hhgrossinc 						 hhmemb_* owner  i.hasdebt i.dsr40p [pweight=hw0010] if ctry_group=="Med"
*margins, dydx(unempl netwealth hhgrossinc hasdebt dsr40 owner) /* atmeans */
predict depvar_pred_mod3b, pr


