******************************************************************************************************;
* 06/06/2014;
* This program updates HFCS using aggregate series from SDW;
******************************************************************************************************;
set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
*----------------------------------------------------------------------;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
*----------------------------------------------------------------------;
capture log close;
cd "`stataPath'";
*----------------------------------------------------------------------;
* ADJUST;
global unempSimulIncomeIndex "1";   * use income implied by unemployment simulation [default: No/0];
global unempLTreplRatiosIndex "1";  * use long-term replacement ratios [default: Yes/1];
global noOfSimulations=25; 	        * number of unemployment simulations (used in Unemployment_simulation.do;

global currentPeriod "2013Q2"; *2008Q1; *2013Q2; 
global updateYear=substr("$currentPeriod",1,4);

global RealIndex "1";               * real amounts for net wealth and income [default: No/0];
global getMacroData "0";            * downloads the SDW data [default: No/0] last download: 06/03/2014;
global adjustPopWeights "0";        * adjusts population weights [default: No/0];

global lastData "2013Q2";           * last available data, relevant for the HICP deflator;
set seed 45423947;
*----------------------------------------------------------------------;


if "$unempSimulIncomeIndex"=="1" {;
	* Get relevant data for unemployment simulation;
	do "`stataPath'\unemploymentSimulation\Master_DataGeneration.do";
	cd "$stataPath";

	* Prepare data for unemployment simulation;
	do "`stataPath'\unemploymentSimulation\data_unemp_simulation_ind.do";
	cd "$stataPath";

	* Run unemployment simulation;
	do "`stataPath'\unemploymentSimulation\Unemployment_simulation_ind_MI.do";
	cd "$stataPath";

	* Merge data from unemployment simulation with D_compl;
	do "`stataPath'\hfcsMergeUnempSimul_02.do";

}; 

* Update data from unemployment simulation to present;
do "`stataPath'\hfcsUpdate_unempSimul_16.do";


* Create extended data file D_comp_extended ...;
do "`stataPath'\newVariables_05.do";

* Produce output tables in xml;
do "`stataPath'\tNetWealthExtended.do"; 
do "`stataPath'\tIncome_03.do";
do "`stataPath'\tDebtBurden_03.do";


