* download real consumption series (reference year 2005)
* download HICP
* bring consumption to 2013

do setPath
local basePath "$basePath"
local stataPath "$stataPath"
local logPath "`stataPath'"
local dataPath "`basePath'\data"

*cd "D:\akmaral\HFCS\HFCSupdate\consumption"
clear
set more off
odbc query "sdw", user(pub) password(pub)

*AT	BE CY DE ES	FI FR GR IT	LU MT NL PT	SI SK
*ESA.Q.AT.Y.1415.P31000.0000.TTTT.L.N.A

*Austria - Final consumption of households and NPISH's (private consumption), Chain linked volumes, reference year 2005, National currency, Working day and seasonally adjusted
*Millions of National currency 

global ctrylist = "AT BE DE ES FI FR GR IT LU MT NL SI SK"
foreach ii of global ctrylist {
clear
odbc load/*
*/, exec("SELECT max(period_name) period_name ,max(decode(series_key, 'ESA.Q.`ii'.Y.1415.P31000.0000.TTTT.L.N.A',obs_value,null)) val_`ii' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_ESA_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('ESA.Q.`ii'.Y.1415.P31000.0000.TTTT.L.N.A') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 

sort PERIOD_NAME
compress
save "`dataPath'\RealCons_`ii'.dta", replace	
}

*for CY and PT
*ESA.Q.CY.S.1000.P41000.0000.TTTT.L.U.A 

global ctrylist = "CY PT"
foreach ii of global ctrylist {
clear
odbc load/*
*/, exec("SELECT max(period_name) period_name ,max(decode(series_key, 'ESA.Q.`ii'.S.1000.P41000.0000.TTTT.L.U.A',obs_value,null)) val_`ii' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_ESA_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('ESA.Q.`ii'.S.1000.P41000.0000.TTTT.L.U.A') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RealCons_`ii'.dta", replace	
}

use "`dataPath'\RealCons_AT.dta", clear
global ctrylist = "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK"
foreach ii of global ctrylist {
		merge PERIOD_NAME using "`dataPath'\RealCons_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		
		label variable VAL_`ii' "Final consumption of households, chain linked volumes, ref. year 2005, seasonally and working day adjusted"
		erase "`dataPath'\RealCons_`ii'.dta"
}

foreach ii of global ctrylist{
rename VAL_`ii' RealCons_`ii'
}
save "`dataPath'\RealCons_ALL.dta", replace

*get HICP code from Edgar

global adj="Y" 
global padj1="S"
global padj2=3
global padju = "S"

global ctrylist = "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK"
foreach ii of global ctrylist {
clear
odbc load,/*
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'ICP.M.`ii'.$padj1.000000.$padj2.INX',obs_value,null)) val_`ii' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_ICP_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('ICP.M.`ii'.$padj1.000000.$padj2.INX') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\HICP_`ii'.dta", replace	
}

* --------------------------------------------------



* --------------------------------------------------
* Merge Data
use "`dataPath'\HICP_AT.dta", clear
global ctrylist = "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK"
foreach ii of global ctrylist {
		merge PERIOD_NAME using "`dataPath'\HICP_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		rename VAL_`ii' HICP_`ii'
		label variable HICP_`ii' "End of quarter level of HICP"
		erase "`dataPath'\HICP_`ii'.dta"
}
* --------------------------------------------------


* --------------------------------------------------
* Pick only quarter-end values
gen date_test = monthly(PERIOD_NAME, "YM")
format date_test %tm

gen temp_y= yofd(dofm(date_test))
format temp_y %ty
gen temp_q= qofd(dofm(date_test))
format temp_q %tq

sort temp_q date_test
by temp_q: gen t=_n
keep if t==3

sort temp_y temp_q
*list temp_y temp_q
drop t
by temp_y: gen t=_n
gen qind="Q1" if t==1
replace qind="Q2" if t==2
replace qind="Q3" if t==3
replace qind="Q4" if t==4

gen y_str = string(temp_y)

replace PERIOD_NAME = y_str + qind
* --------------------------------------------------



drop date_test temp_y temp_q t qind y_str

save "`dataPath'\HICP_ALL.dta", replace

use "`dataPath'\RealCons_ALL.dta", clear
merge m:m PERIOD_NAME using "`dataPath'\HICP_ALL.dta"
drop _merge

foreach cntry of global ctrylist {
	* Ad hoc adjustment for Greece
	replace RealCons_`cntry' = RealCons_`cntry'[_n-1] if missing(RealCons_`cntry')
}



save "`dataPath'\consumption_all.dta", replace

*clear
* --------------------------------------------------

