
* check di2000 for the lowest income quintile;

cd "D:\akmaral\HFCS\HFCSupdate\MASTER\programs"


*************************************************************************************;

* D_compl_2013_0;

set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;

do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";





use "`dataPath'\D_compl_2013_0.dta", replace;






**Generate income quintiles;
gen dhiq01_cntry = .;



*Define a new label so the countries are ordered according to the official ECB order;
label define country 1 "BE" 2 "DE" 3 "GR" 4 "ES" 5 "FR" 6 "IT" 7 "CY" 8 "LU" 9 "MT" 10 "NL" 11 "AT" 12 "PT" 13 "SI" 14 "SK" 15 "FI";
generate aux = 1 if sa0100 == "BE";
replace aux = 2 if sa0100 == "DE";
replace aux = 3 if sa0100 == "GR";
replace aux = 4 if sa0100 == "ES";
replace aux = 5 if sa0100 == "FR";
replace aux = 6 if sa0100 == "IT";
replace aux = 7 if sa0100 == "CY";
replace aux = 8 if sa0100 == "LU";
replace aux = 9 if sa0100 == "MT";
replace aux = 10 if sa0100 == "NL";
replace aux = 11 if sa0100 == "AT";
replace aux = 12 if sa0100 == "PT";
replace aux = 13 if sa0100 == "SI";
replace aux = 14 if sa0100 == "SK";
replace aux = 15 if sa0100 == "FI";
label values aux country;
rename aux cntryid;

* j is a country number;
forvalues j = 1(1)15 {;
forvalues i = 1(1)5 {;           
	*Income;
	_pctile di2000 [aweight=hw0010] if im0100 == `i' & cntryid ==`j',n(5);
	replace dhiq01_cntry = 1 if im0100 == `i' & cntryid ==`j' & di2000 <= r(r1);
	replace dhiq01_cntry = 2 if im0100 == `i' & cntryid ==`j'& di2000 > r(r1) & di2000 <= r(r2);
	replace dhiq01_cntry = 3 if im0100 == `i' & cntryid ==`j'& di2000 > r(r2) & di2000 <= r(r3);
	replace dhiq01_cntry = 4 if im0100 == `i' & cntryid ==`j'& di2000 > r(r3) & di2000 <= r(r4);
	replace dhiq01_cntry = 5 if im0100 == `i' & cntryid ==`j'& di2000 > r(r4);
};
};



*summarize di2000 if dhiq01_cntry == 1, detail;

summarize di2000 if dhiq01_cntry == 1 & im0100 ==1, detail;


*********************************************************************************************************************;
*2013 unempsimul;


set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;

do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";
****************************************;

use "`dataPath'\D_compl_2013_unempSimul_0.dta", replace;




**Generate income quintiles;
gen dhiq01_cntry = .;



*Define a new label so the countries are ordered according to the official ECB order;
label define country 1 "BE" 2 "DE" 3 "GR" 4 "ES" 5 "FR" 6 "IT" 7 "CY" 8 "LU" 9 "MT" 10 "NL" 11 "AT" 12 "PT" 13 "SI" 14 "SK" 15 "FI";
generate aux = 1 if sa0100 == "BE";
replace aux = 2 if sa0100 == "DE";
replace aux = 3 if sa0100 == "GR";
replace aux = 4 if sa0100 == "ES";
replace aux = 5 if sa0100 == "FR";
replace aux = 6 if sa0100 == "IT";
replace aux = 7 if sa0100 == "CY";
replace aux = 8 if sa0100 == "LU";
replace aux = 9 if sa0100 == "MT";
replace aux = 10 if sa0100 == "NL";
replace aux = 11 if sa0100 == "AT";
replace aux = 12 if sa0100 == "PT";
replace aux = 13 if sa0100 == "SI";
replace aux = 14 if sa0100 == "SK";
replace aux = 15 if sa0100 == "FI";
label values aux country;
rename aux cntryid;

* j is a country number;
forvalues j = 1(1)15 {;
forvalues i = 1(1)5 {;           
	*Income;
	_pctile di2000 [aweight=hw0010] if im0100 == `i' & cntryid ==`j',n(5);
	replace dhiq01_cntry = 1 if im0100 == `i' & cntryid ==`j' & di2000 <= r(r1);
	replace dhiq01_cntry = 2 if im0100 == `i' & cntryid ==`j'& di2000 > r(r1) & di2000 <= r(r2);
	replace dhiq01_cntry = 3 if im0100 == `i' & cntryid ==`j'& di2000 > r(r2) & di2000 <= r(r3);
	replace dhiq01_cntry = 4 if im0100 == `i' & cntryid ==`j'& di2000 > r(r3) & di2000 <= r(r4);
	replace dhiq01_cntry = 5 if im0100 == `i' & cntryid ==`j'& di2000 > r(r4);

	
};
};



summarize di2000 if dhiq01_cntry == 1, detail;






*2008 unempsimul


set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;

do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";
****************************************;

use "`dataPath'\D_compl_2008_unempSimul_1.dta", replace;




**Generate income quintiles;
gen dhiq01_cntry = .;



*Define a new label so the countries are ordered according to the official ECB order;
label define country 1 "BE" 2 "DE" 3 "GR" 4 "ES" 5 "FR" 6 "IT" 7 "CY" 8 "LU" 9 "MT" 10 "NL" 11 "AT" 12 "PT" 13 "SI" 14 "SK" 15 "FI";
generate aux = 1 if sa0100 == "BE";
replace aux = 2 if sa0100 == "DE";
replace aux = 3 if sa0100 == "GR";
replace aux = 4 if sa0100 == "ES";
replace aux = 5 if sa0100 == "FR";
replace aux = 6 if sa0100 == "IT";
replace aux = 7 if sa0100 == "CY";
replace aux = 8 if sa0100 == "LU";
replace aux = 9 if sa0100 == "MT";
replace aux = 10 if sa0100 == "NL";
replace aux = 11 if sa0100 == "AT";
replace aux = 12 if sa0100 == "PT";
replace aux = 13 if sa0100 == "SI";
replace aux = 14 if sa0100 == "SK";
replace aux = 15 if sa0100 == "FI";
label values aux country;
rename aux cntryid;

* j is a country number;
forvalues j = 1(1)15 {;
forvalues i = 1(1)5 {;           
	*Income;
	_pctile di2000 [aweight=hw0010] if im0100 == `i' & cntryid ==`j',n(5);
	replace dhiq01_cntry = 1 if im0100 == `i' & cntryid ==`j' & di2000 <= r(r1);
	replace dhiq01_cntry = 2 if im0100 == `i' & cntryid ==`j'& di2000 > r(r1) & di2000 <= r(r2);
	replace dhiq01_cntry = 3 if im0100 == `i' & cntryid ==`j'& di2000 > r(r2) & di2000 <= r(r3);
	replace dhiq01_cntry = 4 if im0100 == `i' & cntryid ==`j'& di2000 > r(r3) & di2000 <= r(r4);
	replace dhiq01_cntry = 5 if im0100 == `i' & cntryid ==`j'& di2000 > r(r4);

	
};
};



summarize di2000 if dhiq01_cntry == 1, detail;


*2008 mechanical;

set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;

do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";
****************************************;

use "`dataPath'\D_compl_2008_1.dta", replace;




**Generate income quintiles;
gen dhiq01_cntry = .;



*Define a new label so the countries are ordered according to the official ECB order;
label define country 1 "BE" 2 "DE" 3 "GR" 4 "ES" 5 "FR" 6 "IT" 7 "CY" 8 "LU" 9 "MT" 10 "NL" 11 "AT" 12 "PT" 13 "SI" 14 "SK" 15 "FI";
generate aux = 1 if sa0100 == "BE";
replace aux = 2 if sa0100 == "DE";
replace aux = 3 if sa0100 == "GR";
replace aux = 4 if sa0100 == "ES";
replace aux = 5 if sa0100 == "FR";
replace aux = 6 if sa0100 == "IT";
replace aux = 7 if sa0100 == "CY";
replace aux = 8 if sa0100 == "LU";
replace aux = 9 if sa0100 == "MT";
replace aux = 10 if sa0100 == "NL";
replace aux = 11 if sa0100 == "AT";
replace aux = 12 if sa0100 == "PT";
replace aux = 13 if sa0100 == "SI";
replace aux = 14 if sa0100 == "SK";
replace aux = 15 if sa0100 == "FI";
label values aux country;
rename aux cntryid;

* j is a country number;
forvalues j = 1(1)15 {;
forvalues i = 1(1)5 {;           
	*Income;
	_pctile di2000 [aweight=hw0010] if im0100 == `i' & cntryid ==`j',n(5);
	replace dhiq01_cntry = 1 if im0100 == `i' & cntryid ==`j' & di2000 <= r(r1);
	replace dhiq01_cntry = 2 if im0100 == `i' & cntryid ==`j'& di2000 > r(r1) & di2000 <= r(r2);
	replace dhiq01_cntry = 3 if im0100 == `i' & cntryid ==`j'& di2000 > r(r2) & di2000 <= r(r3);
	replace dhiq01_cntry = 4 if im0100 == `i' & cntryid ==`j'& di2000 > r(r3) & di2000 <= r(r4);
	replace dhiq01_cntry = 5 if im0100 == `i' & cntryid ==`j'& di2000 > r(r4);

	
};
};



summarize di2000 if dhiq01_cntry == 1, detail;






