* 10/03/2014
* this file generates a dataset containing debt-service-to-income and mortgate-debt-service-to-income ratios
* for 2008 and 2013, mechanical extension and unemployment simulation for income variables

* housekeeping
set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";
global dataPath "`dataPath'";


local allYears "2008 2013";
foreach year of local allYears {;
	use "`dataPath'\D_compl_`year'_unempSimul_0.dta", replace;
	keep id sa0100 sa0010 im0100 hw0010 dodsmortg dodstotalp;
	*mortgate-debt-service-to-income;
	rename dodsmortg dodsmortg`year'_u1; 
	*debt-service-to-income;
	rename dodstotalp dodstotalp`year'_u1;
	save "`dataPath'\debtService_`year'_unempSimul.dta", replace;
};
local allYears "2008 2013";
foreach year of local allYears {;
	use "`dataPath'\D_compl_`year'_0.dta", replace;
	keep id sa0100 sa0010 im0100 hw0010 dodsmortg dodstotalp;
	rename dodsmortg dodsmortg`year'_u0;
	rename dodstotalp dodstotalp`year'_u0;
	save "`dataPath'\debtService_`year'.dta", replace;
};

use "`dataPath'\debtService_2008.dta";
merge 1:1 id sa0010 sa0100 im0100 hw0010 using "`dataPath'\debtService_2013.dta";
drop _merge;
merge 1:1 id sa0010 sa0100 im0100 hw0010 using "`dataPath'\debtService_2008_unempSimul.dta";
drop _merge;
merge 1:1 id sa0010 sa0100 im0100 hw0010 using "`dataPath'\debtService_2013_unempSimul.dta";
drop _merge;
save "`dataPath'\debtServiceRatios.dta", replace;


* erase intermediate datasets;
foreach year of local allYears {;
	erase "`dataPath'\debtService_`year'_unempSimul.dta";
	erase "`dataPath'\debtService_`year'.dta";
};
