******************************************************************************************************;
* 07/05/2014;
* This program updates HFCS using aggregate series from SDW;
******************************************************************************************************;
set more off
clear
clear matrix
#delimit;
set mem 3000m;
set matsize 155;
program drop _all;
discard;
*----------------------------------------------------------------------;
do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
global dataPath "`dataPath'";
adopath + "`stataPath'";
*----------------------------------------------------------------------;
capture log close;
cd "`stataPath'";
log using "`logPath'\hfcsMergeUnempSimul.log", replace;
*----------------------------------------------------------------------;
use "`dataPath'\outputUnempSimul_ind.dta";
*sort id;

merge m:1 id using "`dataPath'\D_compl.dta";
drop _merge;
*duplicates drop;

* Keeping only the reference person in each household (RP according to the definition used in the constructed variables forthe D-file);
keep if dhidh1 == ra0010;

* Adjust di2000;
egen di_orig = rowtotal(di1100 di1200 di1610);
egen di_unempSimul = rowtotal(di1100_unempSimul di1200_unempSimul di1610_unempSimul);
gen di2000_unempSimul = di2000-di_orig+di_unempSimul;
drop di_orig di_unempSimul;

save "`dataPath'\D_compl_unempSimul.dta", replace;
log close;


******************************************************************************************************;
