* 08/04/2014;  
* recomputes net wealth variables

  
*----------- replace liabilities with negatives

local allVariables "dl1110 dl1120 dl1200 dl1210 dl1220 dl1230" 
foreach var of local allVariables {	

	gen `var'_minus = -`var'

}



*----------- recompute assets - total
egen da1000_0 = rowtotal(da1110 da1120 da1130 da1131 da1140)
egen da2100_0 = rowtotal(da2101 da2102 da2103 da2104 da2105 da2106 da2107 da2108 da2109)
egen da3001_0 = rowtotal(da1000_0 da2100_0)

*----------- recompute liabilities - total
egen dl1100_0 = rowtotal(dl1110 dl1120)
egen dl1000_0 = rowtotal(dl1100_0 dl1200)

*----------- recompute net wealth
replace dl1100 = dl1100_0 if dl1100~=.
replace dl1000 = dl1000_0 if dl1000~=.
gen dl1000_minus = -dl1000


replace da1000 = da1000_0 if da1000~=.
replace da2100 = da2100_0 if da2100~=.
replace da3001 = da3001_0 if da3001~=.

drop dn3001
egen dn3001 = rowtotal(da3001 dl1000_minus)
drop dl1000_minus

*----------- net liquid assets
egen dnnla_0 = rowtotal(da2101 da2102 da2103 da2104 da2105 da2106 dl1210_minus dl1220_minus dl1230_minus)
gen dnnla_2010 = dnnla
replace dnnla = dnnla_0 if dnnla~=.


*----------- in real amounts
local allCountries "AT BE CY DE ES FI FR GR IT LU MT NL PT SI SK"
local allVariables "da2101 da2102 da2103 da2104 da2105 da2106 da2107 da2108 da2109 dn3001 dl1000 da1000 da2100 da3001" 


if "$RealIndex" == "1" {
	foreach cntry of local allCountries {
	foreach var of local allVariables {
		replace `var' = `var'/HICPasstDefl_`cntry'  if sa0100=="`cntry'"
	}
	}
	
}







