* use UN population to adjust hh weights;

set more off
clear
clear matrix
set mem 3000m
set matsize 155
program drop _all
discard
do setPath
local basePath "$basePath"
local stataPath "$stataPath"
local logPath "`stataPath'"
local dataPath "`basePath'\data"
adopath + "`stataPath'"

use "`dataPath'\WPP_HFCN.dta", clear


* TEST
*keep if sa0100=="AT"
*keep if sex=="Both"
*sort age

* Additional step: sum all agents above 80 into
* one category: more reliable data as data 80+ is dodgy
gen age80p=(age>=80)
bysort sa0100 sex year age80p: egen temp=sum(pop)
replace pop=temp if age80p==1
replace pop=. if age>80
drop temp

* Generate distribution
bysort sa0100 sex year: egen totpop=sum(pop)
gen popdist=pop/totpop

* Generate values for 80+ (fill data)
bysort sa0100 sex year age80p: egen temp=mean(popdist)
replace popdist=temp if age80p==1
drop age80p temp

* assign fieldwork date for each country
gen temp = popdist if year==2010 & sa0100=="BE"
replace temp = popdist if year==2011 & sa0100=="AT"
replace temp = popdist if year==2011 & sa0100=="DE"
replace temp = popdist if year==2009 & sa0100=="GR"
replace temp = popdist if year==2009 & sa0100=="ES"
replace temp = popdist if year==2009 & sa0100=="FR"
replace temp = popdist if year==2011 & sa0100=="IT"
replace temp = popdist if year==2010 & sa0100=="CY"
replace temp = popdist if year==2010 & sa0100=="LU"
replace temp = popdist if year==2010 & sa0100=="MT"
replace temp = popdist if year==2010 & sa0100=="NL"
*replace temp = popdist if year==2011 & sa0100=="AT"
replace temp = popdist if year==2010 & sa0100=="PT"
replace temp = popdist if year==2010 & sa0100=="SI"
replace temp = popdist if year==2010 & sa0100=="SK"
replace temp = popdist if year==2010 & sa0100=="FI"




bysort sa0100 sex age: egen popdist_base=mean(temp)
gen popdist_rel=popdist/popdist_base
keep sa0100 age year sex popdist_rel popdist


* TEST
*drop sex sa0100
*reshape wide popdist_rel popdist, i(age) j(year)
*line popdist2008 popdist2009 popdist2010 popdist2020 age if age<80
*line popdist_rel2008 popdist_rel2009 popdist_rel2010 popdist_rel2015 age if age<80


* Some data handling to reshape (generate unique ID)
encode sa0100, gen(sa0100_num)
gen long tempID = (year*100+age)*100+sa0100_num
rename popdist_rel popdist_rel_
rename popdist popdist_
reshape wide popdist_rel_ popdist_, i(tempID) j(sex, string)
drop tempID sa0100_num
aorder
sort sa0100 year age
compress

saveold UpdatePopDist.dta, replace
* -------------------------------------------------------------------------------------
