******************************************************************************************************;
* This file downloads D41 - Interests;

******************************************************************************************************;

local dataPath "$dataPath"
clear
set more off
* Set source
odbc query "sdw", user(pub) password(pub)


* ---------------------------------------------------------------------------------------------------------------------------;
global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
clear

odbc load/*
*/, exec("SELECT max(period_name) period_name ,max(decode(series_key, 'IEAF.Q.`ii'.N.V.D41.Z.S1M.A1.S.1.X.N.Z',obs_value,null)) vald_`ii' ,max(decode(series_key, 'IEAF.Q.`ii'.N.V.D41.Z.S1M.A1.S.2.X.N.Z',obs_value,null)) valc_`ii' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_IEAF_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('IEAF.Q.`ii'.N.V.1.Z.S1M.A1.S.1.X.N.Z','IEAF.Q.`ii'.N.V.D41.Z.S1M.A1.S.2.X.N.Z') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 

sort PERIOD_NAME
compress
save "`dataPath'\D41_`ii'.dta", replace
}
* ---------------------------------------------------------------------------------------------------------------------------;
* Merge Data
use "`dataPath'\D41_AT.dta", clear

global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
		merge PERIOD_NAME using "`dataPath'\D41_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		drop VALD_`ii'
		rename VALC_`ii' D41_`ii'
        label variable D41_`ii' "D41 for hh-sector, credit"
		erase "`dataPath'\D41_`ii'.dta"
}
* ---------------------------------------------------------------------------------------------------------------------------;
* drop periods we don't need
gen period = _n
keep if period >80
drop period

* missing data for AT, CY, LU, MT, PT, SK, BE 
local allVariables "D41_AT D41_CY D41_LU D41_MT D41_PT D41_SK D41_BE"
 
foreach var of local allVariables {	
	replace  `var' = 1
}
save "`dataPath'\D41_ALL.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;






