******************************************************************************************************;
* This file downloads D75 - Miscellaneous Current Transfers

******************************************************************************************************;


local dataPath "$dataPath"
clear
set more off
odbc query "sdw", user(pub) password(pub)



* ---------------------------------------------------------------------------------------------------------------------------;
global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
clear
odbc load/*
*/, exec("SELECT max(period_name) period_name ,max(decode(series_key, 'IEAF.Q.`ii'.N.V.D75.Z.S1M.A1.S.1.X.N.Z',obs_value,null)) vald_`ii' ,max(decode(series_key, 'IEAF.Q.`ii'.N.V.D75.Z.S1M.A1.S.2.X.N.Z',obs_value,null)) valc_`ii' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_IEAF_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('IEAF.Q.`ii'.N.V.D75.Z.S1M.A1.S.1.X.N.Z','IEAF.Q.`ii'.N.V.D75.Z.S1M.A1.S.2.X.N.Z') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 

sort PERIOD_NAME
compress
save "`dataPath'\D75_`ii'.dta", replace	
}
* ---------------------------------------------------------------------------------------------------------------------------;
* Merge Data
use "`dataPath'\D75_AT.dta", clear

global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
		merge PERIOD_NAME using "`dataPath'\D75_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		rename VALC_`ii' D75_C_`ii'
        label variable D75_C_`ii' "D75 for hh-sector, credit"
        rename VALD_`ii' D75_D_`ii'
        label variable D75_D_`ii' "D75 for hh-sector, debit"
		erase "`dataPath'\D75_`ii'.dta"
}
* ---------------------------------------------------------------------------------------------------------------------------;

*drop periods we don't need
gen period = _n
keep if period >80
drop period

* missing values for AT, IT, CY, LU, MT, PT, SK, BE, DE
local allVariables "D75_C_AT D75_D_AT D75_C_IT D75_D_IT D75_C_CY D75_D_CY D75_C_LU D75_D_LU D75_C_MT D75_D_MT D75_C_PT D75_D_PT D75_C_SK D75_D_SK D75_C_BE D75_D_BE D75_C_DE D75_D_DE" 
foreach var of local allVariables {	

	replace  `var' = 1 if `var'==.
}

save "`dataPath'\D75_ALL.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;



