******************************************************************************************************;
* This file downloads F6 - Insurance technical reserves;

******************************************************************************************************;

local dataPath "$dataPath"
clear
set more off
odbc query "sdw", user(pub) password(pub)
* ---------------------------------------------------------------------------------------------------------------------------;
global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
clear
	local nacelist ="F6 F61"
	foreach ij of local nacelist {
	clear
	odbc load/*
	*/, exec("SELECT max(period_name) period_name ,max(decode(series_key, 'IEAQ.Q.`ii'.N.V.LE.`ij'.S1M.A1.S.1.N.N.Z',obs_value,null)) BS_`ii'_`ij' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_IEAQ_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('IEAQ.Q.`ii'.N.V.LE.`ij'.S1M.A1.S.1.N.N.Z') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 
	sort PERIOD_NAME	
	compress
	save "`dataPath'\temp_`ii'_`ij'.dta", replace
	display "`ii' `ij' downloaded"
	}
}
* ---------------------------------------------------------------------------------------------------------------------------;
* Merge Data
* Outer loop: country
* Inner loop: BS item
global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
		use "`dataPath'\temp_`ii'_F6.dta", clear
		rm "`dataPath'\temp_`ii'_F6.dta"
		rename BS_`ii'_F6 BS_F6
	    local nacelist ="F61"
		foreach ij of local nacelist {

			merge PERIOD_NAME using "`dataPath'\temp_`ii'_`ij'.dta"
			rename BS_`ii'_`ij' BS_`ij'
			drop _merge
			sort PERIOD_NAME
			display "`ii' `ij' matched"
			rm "`dataPath'\temp_`ii'_`ij'.dta"
		}
		gen ctryid = "`ii'"
		save "`dataPath'\temp_`ii'.dta", replace
}
* ---------------------------------------------------------------------------------------------------------------------------;
use "`dataPath'\temp_AT.dta", clear
rm "`dataPath'\temp_AT.dta"
global ctrylist = "NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
	append using "`dataPath'\temp_`ii'.dta"
	erase "`dataPath'\temp_`ii'.dta"
}
* ---------------------------------------------------------------------------------------------------------------------------;   
label variable BS_F6 "Insurance technical reserves"
label variable BS_F61 "INet equity of households in life insurance reserves and in pension funds reserves"
rename BS_F6 BS_F6_ 
rename BS_F61 BS_F61_
compress
sort ctryid PERIOD_NAME
reshape wide BS_F6_  BS_F61_, i(PERIOD_NAME) j(ctryid) string

* drop periods we don't need
gen period = _n
keep if period >9
drop period

save "`dataPath'\InsuranceTechRes.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;
