******************************************************************************************************;
* This file downloads Residential property prices - a mix of different accounting for different countries - new dwellings, existing dwellings, etc.;

******************************************************************************************************;
local dataPath "$dataPath"
clear
set more off
odbc query "sdw", user(pub) password(pub)
* ---------------------------------------------------------------------------------------------------------------------------;

* Austria
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.AT.N.TD.00.3.00',obs_value,null)) val_AT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.AT.N.TD.00.3.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_AT.dta", replace
clear

* Netherlands
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.NL.N.ED.00.1.00',obs_value,null)) val_NL FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.NL.N.ED.00.1.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_NL.dta", replace
clear

* France
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.FR.N.ED.00.1.00',obs_value,null)) val_FR FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.FR.N.ED.00.1.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_FR.dta", replace
clear

* Ireland
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.IE.N.TD.00.3.00',obs_value,null)) val_IE FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.IE.N.TD.00.3.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_IE.dta", replace
clear

* Greece
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.GR.N.TF.00.3.00',obs_value,null)) val_GR FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.GR.N.TF.00.3.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_GR.dta", replace
clear

* Italy
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.IT.N.TD.00.2.00',obs_value,null)) val_IT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.IT.N.TD.00.2.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_IT.dta", replace
clear

* Cyprus
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.CY.N.TD.00.2.00',obs_value,null)) val_CY FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.CY.N.TD.00.2.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_CY.dta", replace
clear

* Spain
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.ES.N.TD.00.3.00',obs_value,null)) val_ES FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.ES.N.TD.00.3.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_ES.dta", replace
clear

* Luxembourg
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.LU.N.TF.00.1.00',obs_value,null)) val_LU FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.LU.N.TF.00.1.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_LU.dta", replace
clear

* Malta
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.MT.N.TD.00.2.00',obs_value,null)) val_MT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.MT.N.TD.00.2.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_MT.dta", replace
clear

* Portugal
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.PT.N.TD.00.5.00',obs_value,null)) val_PT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.PT.N.TD.00.5.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_PT.dta", replace
clear

* Slovenia
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.SI.N.TD.00.1.00',obs_value,null)) val_SI FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.SI.N.TD.00.1.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_SI.dta", replace
clear

* Slovakia
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.SK.N.ED.00.2.00',obs_value,null)) val_SK FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.SK.N.ED.00.2.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_SK.dta", replace
clear

* Finland
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.FI.N.ED.00.3.00',obs_value,null)) val_FI FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.FI.N.ED.00.3.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_FI.dta", replace
clear

* Belgium
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.BE.N.ED.00.2.00',obs_value,null)) val_BE FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.BE.N.ED.00.2.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_BE.dta", replace
clear

* Estonia
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.EE.N.TF.00.1.00',obs_value,null)) val_EE FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.EE.N.TF.00.1.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_EE.dta", replace
clear

* Germany
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.DE.N.TD.00.5.00',obs_value,null)) val_DE FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.DE.N.TD.00.5.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_DE.dta", replace
clear

* Euro Area
odbc load, /* 
*/ exec("SELECT max(period_name) period_name ,max(decode(series_key, 'RPP.Q.I6.N.TD.00.3.00',obs_value,null)) val_EA FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_RPP_OBS_PLAIN a,common.period_dim b  WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('RPP.Q.I6.N.TD.00.3.00') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
save "`dataPath'\RPP_EA.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;
* Merge Data
use "`dataPath'\RPP_AT.dta", clear

global ctrylist = "AT NL FR IE GR IT CY ES LU MT PT SI SK FI BE EE DE"
foreach ii of global ctrylist {
		
		merge PERIOD_NAME using "`dataPath'\RPP_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		erase "`dataPath'\RPP_`ii'.dta"
		rename VAL_`ii' RPP_`ii'
		
}
* ---------------------------------------------------------------------------------------------------------------------------;

erase "`dataPath'\RPP_EA.dta"
* drop countries we don't need
drop RPP_EE RPP_IE
* drop periods we don't need
gen period = _n
keep if period >120 
drop period
save "`dataPath'\RPP_ALL.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;


