******************************************************************************************************;
* This file downloads Stock prices;

******************************************************************************************************;
local dataPath "$dataPath"
clear
set more off
odbc query "sdw", user(pub) password(pub)
* ---------------------------------------------------------------------------------------------------------------------------;

* NL	Amsterdam Exchange (AEX) Index	FM.Q.NL.EUR.DS.EI.AMSTEOE.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.NL.EUR.DS.EI.AMSTEOE.HSTE',obs_value,null)) VAL_NL FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.NL.EUR.DS.EI.AMSTEOE.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_NL.dta, replace
save "`dataPath'\Stock_NL.dta", replace
clear

* GR	Athens Stock Exchange ATHEX Composite Index	FM.Q.GR.EUR.DS.EI.GRAGENL.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.GR.EUR.DS.EI.GRAGENL.HSTE',obs_value,null)) VAL_GR FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.GR.EUR.DS.EI.GRAGENL.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_GR.dta, replace
save "`dataPath'\Stock_GR.dta", replace
clear

* AT	Austrian Traded Index (ATX)	FM.Q.AT.EUR.DS.EI.ATXINDX.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.AT.EUR.DS.EI.ATXINDX.HSTE',obs_value,null)) VAL_AT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.AT.EUR.DS.EI.ATXINDX.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_AT.dta, replace
save "`dataPath'\Stock_AT.dta", replace
clear

* CY	Cyprus Stock Exchange General Index	FM.Q.CY.EUR.DS.EI.CYPMAPM.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.CY.EUR.DS.EI.CYPMAPM.HSTE',obs_value,null)) VAL_CY FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.CY.EUR.DS.EI.CYPMAPM.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_CY.dta, replace
save "`dataPath'\Stock_CY.dta", replace
clear

* BE	Belgium BEL 20 Index (BGBEL20)	FM.Q.BE.EUR.DS.EI.BGBEL20.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.BE.EUR.DS.EI.BGBEL20.HSTE',obs_value,null)) VAL_BE FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.BE.EUR.DS.EI.BGBEL20.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_BE.dta, replace
save "`dataPath'\Stock_BE.dta", replace
clear

* FR	France CAC 40 Index (FRCAC40)	FM.Q.FR.EUR.DS.EI.FRCAC40.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.FR.EUR.DS.EI.FRCAC40.HSTE',obs_value,null)) VAL_FR FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.FR.EUR.DS.EI.FRCAC40.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_FR.dta, replace
save "`dataPath'\Stock_FR.dta", replace
clear

* ES	Spain IBEX 35 Index (IBEX35I)	FM.Q.ES.EUR.DS.EI.IBEX35I.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.ES.EUR.DS.EI.IBEX35I.HSTE',obs_value,null)) VAL_ES FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.ES.EUR.DS.EI.IBEX35I.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_ES.dta, replace
save "`dataPath'\Stock_ES.dta", replace
clear

* PT	Portugal PSI General Index	FM.Q.PT.EUR.DS.EI.POPSIGN.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.PT.EUR.DS.EI.POPSIGN.HSTE',obs_value,null)) VAL_PT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.PT.EUR.DS.EI.POPSIGN.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_PT.dta, replace
save "`dataPath'\Stock_PT.dta", replace
clear

* SI	Slovenian Stock Exchange (SBI) Index	FM.Q.SI.EUR.DS.EI.SLOESBI.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.SI.EUR.DS.EI.SLOETOP.HSTE',obs_value,null)) VAL_SI FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.SI.EUR.DS.EI.SLOETOP.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_SI.dta, replace
save "`dataPath'\Stock_SI.dta", replace
clear

* LU	Luxembourg Stock Exchange General Index	FM.Q.LU.EUR.DS.EI.LUXGENI.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.LU.EUR.DS.EI.LUXGENI.HSTE',obs_value,null)) VAL_LU FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.LU.EUR.DS.EI.LUXGENI.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_LU.dta, replace
save "`dataPath'\Stock_LU.dta", replace
clear

* IT	Standard and Poors/MIB Index (S_PMIBX)	FM.Q.IT.EUR.DS.EI.S_PMIBX.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.IT.EUR.DS.EI.S_PMIBX.HSTE',obs_value,null)) VAL_IT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.IT.EUR.DS.EI.S_PMIBX.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_IT.dta, replace
save "`dataPath'\Stock_IT.dta", replace
clear

* FI	Nordic Exchange OMX Helsinki (OMXH) Index (HEXINDX)	FM.Q.FI.EUR.DS.EI.HEXINDX.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.FI.EUR.DS.EI.HEXINDX.HSTE',obs_value,null)) VAL_FI FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.FI.EUR.DS.EI.HEXINDX.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_FI.dta, replace
save "`dataPath'\Stock_FI.dta", replace
clear

* DE	DAX 30 Performance Index	FM.Q.DE.EUR.DS.EI.DAXINDX.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.DE.EUR.DS.EI.DAXINDX.HSTE',obs_value,null)) VAL_DE FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.DE.EUR.DS.EI.DAXINDX.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_DE.dta, replace
save "`dataPath'\Stock_DE.dta", replace
clear

* SK	SAX16 Index	FM.Q.SK.EUR.DS.EI.SXSAX12.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.SK.EUR.DS.EI.SXSAX12.HSTE',obs_value,null)) VAL_SK FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.SK.EUR.DS.EI.SXSAX12.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_SK.dta, replace
save "`dataPath'\Stock_SK.dta", replace
clear


* MT Malta Stock Exchange Index FM.Q.MT.EUR.BL.EI.MALTEX.HSTE	
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.MT.EUR.BL.EI.MALTEX.HSTE',obs_value,null)) VAL_MT FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.MT.EUR.BL.EI.MALTEX.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_MT.dta, replace
save "`dataPath'\Stock_MT.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;-
* Non euro area countries to construct world stock performance
* ---------------------------------------------------------------------------------------------------------------------------;

* US	Dow Jones Stoxx Index	FM.Q.U2.EUR.DS.EI.DJSTOXX.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.U2.EUR.DS.EI.DJSTOXX.HSTE',obs_value,null)) VAL_US FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.U2.EUR.DS.EI.DJSTOXX.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_US.dta, replace
save "`dataPath'\Stock_US.dta", replace
clear

* UK	Financial Times Stock Exchange (FTSE) World United Kingdom Index	FM.Q.GB.EUR.DS.EI.WIUTDKL.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.GB.EUR.DS.EI.WIUTDKL.HSTE',obs_value,null)) VAL_UK FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.GB.EUR.DS.EI.WIUTDKL.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_UK.dta, replace
save "`dataPath'\Stock_UK.dta", replace
clear

* JP	Financial Times Stock Exchange (FTSE) World Japan Index	FM.Q.JP.EUR.DS.EI.WIJPANL.HSTE
odbc load/*
*/ , exec("SELECT max(period_name) period_name ,max(decode(series_key, 'FM.Q.JP.EUR.DS.EI.WIJPANL.HSTE',obs_value,null)) VAL_JP FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_FM_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('FM.Q.JP.EUR.DS.EI.WIJPANL.HSTE') ) group by obs_date order by obs_date ") user(pub) password(pub) 
sort PERIOD_NAME
compress
*save Stock_JP.dta, replace
save "`dataPath'\Stock_JP.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;
* Merge Data
use "`dataPath'\Stock_AT.dta", clear
rm "`dataPath'\Stock_AT.dta"
global ctrylist = "BE CY DE ES FI FR GR IT LU MT NL PT SI SK UK US JP" 
foreach ii of global ctrylist {
		*merge PERIOD_NAME using Stock_`ii'.dta
		merge PERIOD_NAME using "`dataPath'\Stock_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		erase "`dataPath'\Stock_`ii'.dta"
		rename VAL_`ii' Stock_`ii'
		label variable Stock_`ii' "Country specific stock price index"
}
* ---------------------------------------------------------------------------------------------------------------------------;
rename VAL_AT Stock_AT
* drop periods we don't need
gen period = _n
keep if period >109
drop period

save "`dataPath'\Stock_ALL.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;







