******************************************************************************************************;
* This file downloads Unquoted shares and other equity;

******************************************************************************************************;
local dataPath "$dataPath"
clear
set more off
* Set source
odbc query "sdw", user(pub) password(pub)
* ---------------------------------------------------------------------------------------------------------------------------;

global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
clear
odbc load/*
*/, exec("SELECT max(period_name) period_name ,max(decode(series_key, 'IEAQ.Q.`ii'.N.V.LE.F51M.S1M.A1.S.1.N.N.Z',obs_value,null)) vald_`ii',max(decode(series_key, 'IEAQ.Q.`ii'.N.V.LE.F51M.S1M.A1.S.2.N.N.Z',obs_value,null))  valc_`ii' FROM ( SELECT FIRST_DATE OBS_DATE,period_name, a.SERIES_KEY, a.OBS_VALUE FROM ESDB_PUB.V_IEAQ_OBS_PLAIN a,common.period_dim b    WHERE  a.period_id=b.period_id  AND SERIES_KEY IN ('IEAQ.Q.`ii'.N.V.LE.F51M.S1M.A1.S.1.N.N.Z','IEAQ.Q.`ii'.N.V.LE.F51M.S1M.A1.S.2.N.N.Z') ) group by obs_date order by obs_date ") dsn("sdw") user(pub) password(pub) 

sort PERIOD_NAME
compress

* USOE = unquoted shares and other equity	
save "`dataPath'\USOE_`ii'.dta", replace
}
* ---------------------------------------------------------------------------------------------------------------------------;
* Merge Data
use "`dataPath'\USOE_AT.dta", clear

global ctrylist = "AT NL FR GR IT CY ES LU MT PT SI SK FI BE DE"
foreach ii of global ctrylist {
		
		merge PERIOD_NAME using "`dataPath'\USOE_`ii'.dta"
		drop _merge
		sort PERIOD_NAME
		display "`ii' matched"
		drop VALC_`ii' 
		rename VALD_`ii' USOE_D_`ii'
		label variable USOE_D_`ii' "Unquoted shares/otehr equity HH-sector, debit (F51M)"
		erase "`dataPath'\USOE_`ii'.dta"
}
* ---------------------------------------------------------------------------------------------------------------------------;
* drop periods we don't need
gen period = _n
keep if period >9 
drop period

save "`dataPath'\USOE_ALL.dta", replace
clear
* ---------------------------------------------------------------------------------------------------------------------------;




