
************
*14/11/2012*
************

*This program uvalues the file produced by Martin with all the standard errors and it creates files with the stardard errors as variables arranged in such
*a way they can be merged with the files uvalued to produce the tables for the analytical report;
*This is a new version of the program to deal with the new data structure, in which se for countries and for the EA come in separate files;

# delimit ;
clear;
clear matrix;
set mem 3000m;
set more off;

do setPath;
local basePath "$basePath";
local stataPath "$stataPath";
local logPath "`stataPath'";
local dataPath "`basePath'\data";
adopath + "`stataPath'";
use "`dataPath'\stderrorsEA.dta", clear;
append using "`dataPath'\stderrorsCtryData.dta";
drop if sa0100 == "I1";

drop attribute datestamp;


*Define a new label so the countries are ordered according to the official ECB order;
label define country 1 "BE" 2 "DE" 3 "GR" 4 "ES" 5 "FR" 6 "IT" 7 "CY" 8 "LU" 9 "MT" 10 "NL" 11 "AT" 12 "PT" 13 "SI" 14 "SK" 15 "FI";
generate aux = 1 if sa0100 == "BE";
replace aux = 2 if sa0100 == "DE";
replace aux = 3 if sa0100 == "GR";
replace aux = 4 if sa0100 == "ES";
replace aux = 5 if sa0100 == "FR";
replace aux = 6 if sa0100 == "IT";
replace aux = 7 if sa0100 == "CY";
replace aux = 8 if sa0100 == "LU";
replace aux = 9 if sa0100 == "MT";
replace aux = 10 if sa0100 == "NL";
replace aux = 11 if sa0100 == "AT";
replace aux = 12 if sa0100 == "PT";
replace aux = 13 if sa0100 == "SI";
replace aux = 14 if sa0100 == "SK";
replace aux = 15 if sa0100 == "FI";
label values aux country;
drop sa0100;
rename aux sa0100; 

save "`dataPath'\stderrors_all.dta", replace;

local nobs 47;

* Table: Net wealth;
use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DN3001" & stat == "Mean" & dm == "POP";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dn3001_mean;

save "`basePath'\stats\averagedImplicates\dn3001_mean_se.dta", replace;

use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DN3001" & stat == "Median" & dm == "POP";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dn3001_median;

save "`basePath'\stats\averagedImplicates\dn3001_median_se.dta", replace;


use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DA3001" & stat == "Mean" & dm == "POP";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_da3001_mean;

save "`basePath'\stats\averagedImplicates\da3001_mean_se.dta", replace;


use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DL1000" & stat == "Median" & dm == "POP";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dl1000_mean;

save "`basePath'\stats\averagedImplicates\dl1000_mean_se.dta", replace;




* Table: Asset Participation;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DA2100i" | var == "DA2101i" | var == "DA2102i" | var == "DA2103i" | var == "DA2105i" | var == "DA2107i" | var == "DA2109i" | var == "DA2199i" | var == "DA1000i" | var == "DA1110i" | var == "DA1120i" | var == "DA1130i" | var == "DA1131i" | var == "DA1140i") & dm == "POP";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DA2100i DA2101i DA2102i DA2103i DA2105i DA2107i DA2109i DA2199i DA1000i DA1110i DA1120i DA1130i DA1131i DA1140i";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};

* For some reason when I do a loop here it doesnt work;
replace valueDA2100i = valueDA2100i[32] in 1;
replace valueDA2100i = valueDA2100i[31] in 32;
replace valueDA2101i = valueDA2101i[32] in 1;
replace valueDA2101i = valueDA2101i[31] in 32;
replace valueDA2102i = valueDA2102i[32] in 1;
replace valueDA2102i = valueDA2102i[31] in 32;
replace valueDA2103i = valueDA2103i[32] in 1;
replace valueDA2103i = valueDA2103i[31] in 32;
replace valueDA2105i = valueDA2105i[32] in 1;
replace valueDA2105i = valueDA2105i[31] in 32;
replace valueDA2107i = valueDA2107i[32] in 1;
replace valueDA2107i = valueDA2107i[31] in 32;
replace valueDA2109i = valueDA2109i[32] in 1;
replace valueDA2109i = valueDA2109i[31] in 32;
replace valueDA2199i = valueDA2199i[32] in 1;
replace valueDA2199i = valueDA2199i[31] in 32;
replace valueDA1000i = valueDA1000i[32] in 1;
replace valueDA1000i = valueDA1000i[31] in 32;
replace valueDA1110i = valueDA1110i[32] in 1;
replace valueDA1110i = valueDA1110i[31] in 32;
replace valueDA1120i = valueDA1120i[32] in 1;
replace valueDA1120i = valueDA1120i[31] in 32;
replace valueDA1130i = valueDA1130i[32] in 1;
replace valueDA1130i = valueDA1130i[31] in 32;
replace valueDA1131i = valueDA1131i[32] in 1;
replace valueDA1131i = valueDA1131i[31] in 32;
replace valueDA1140i = valueDA1140i[32] in 1;
replace valueDA1140i = valueDA1140i[31] in 32;



rename valueDA2100i se_da2100i_mean;
rename valueDA2101i se_da2101i_mean;
rename valueDA2102i se_da2102i_mean;
rename valueDA2103i se_da2103i_mean;
rename valueDA2105i se_da2105i_mean;
rename valueDA2107i se_da2107i_mean;
rename valueDA2109i se_da2109i_mean;
rename valueDA2199i se_da2199i_mean;
rename valueDA1000i se_da1000i_mean;
rename valueDA1110i se_da1110i_mean;
rename valueDA1120i se_da1120i_mean;
rename valueDA1130i se_da1130i_mean;
rename valueDA1131i se_da1131i_mean;
rename valueDA1140i se_da1140i_mean;



save "`basePath'\stats\averagedImplicates\assetparticipation_se.dta", replace;




* Table: Asset Value;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DA2100" | var == "DA2101" | var == "DA2102" | var == "DA2103" | var == "DA2105" | var == "DA2107" | var == "DA2109" | var == "DA2199" | var == "DA1000" | var == "DA1110" | var == "DA1120" | var == "DA1130" | var == "DA1131" | var == "DA1140") & dm == "POP" & stat == "Median";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DA2100 DA2101 DA2102 DA2103 DA2105 DA2107 DA2109 DA2199 DA1000 DA1110 DA1120 DA1130 DA1131 DA1140";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};


* For some reason when I do a loop here it doesnt work;
replace valueDA2100 = valueDA2100[32] in 1;
replace valueDA2100 = valueDA2100[31] in 32;
replace valueDA2101 = valueDA2101[32] in 1;
replace valueDA2101 = valueDA2101[31] in 32;
replace valueDA2102 = valueDA2102[32] in 1;
replace valueDA2102 = valueDA2102[31] in 32;
replace valueDA2103 = valueDA2103[32] in 1;
replace valueDA2103 = valueDA2103[31] in 32;
replace valueDA2105 = valueDA2105[32] in 1;
replace valueDA2105 = valueDA2105[31] in 32;
replace valueDA2107 = valueDA2107[32] in 1;
replace valueDA2107 = valueDA2107[31] in 32;
replace valueDA2109 = valueDA2109[32] in 1;
replace valueDA2109 = valueDA2109[31] in 32;
replace valueDA2199 = valueDA2199[32] in 1;
replace valueDA2199 = valueDA2199[31] in 32;
replace valueDA1000 = valueDA1000[32] in 1;
replace valueDA1000 = valueDA1000[31] in 32;
replace valueDA1110 = valueDA1110[32] in 1;
replace valueDA1110 = valueDA1110[31] in 32;
replace valueDA1120 = valueDA1120[32] in 1;
replace valueDA1120 = valueDA1120[31] in 32;
replace valueDA1130 = valueDA1130[32] in 1;
replace valueDA1130 = valueDA1130[31] in 32;
replace valueDA1131 = valueDA1131[32] in 1;
replace valueDA1131 = valueDA1131[31] in 32;
replace valueDA1140 = valueDA1140[32] in 1;
replace valueDA1140 = valueDA1140[31] in 32;


rename valueDA2100 se_da2100_median;
rename valueDA2101 se_da2101_median;
rename valueDA2102 se_da2102_median;
rename valueDA2103 se_da2103_median;
rename valueDA2105 se_da2105_median;
rename valueDA2107 se_da2107_median;
rename valueDA2109 se_da2109_median;
rename valueDA2199 se_da2199_median;
rename valueDA1000 se_da1000_median;
rename valueDA1110 se_da1110_median;
rename valueDA1120 se_da1120_median;
rename valueDA1130 se_da1130_median;
rename valueDA1131 se_da1131_median;
rename valueDA1140 se_da1140_median;

save "`basePath'\stats\averagedImplicates\assetvalue_se.dta", replace;




* Table: Asset Shares;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DA2100" | var == "DA2101" | var == "DA2102" | var == "DA2103" | var == "DA2105" | var == "DA2107" | var == "DA2109" | var == "DA2199" | var == "DA1000" | var == "DA1110" | var == "DA1120" | var == "DA1130" | var == "DA1131" | var == "DA1140") & dm == "POP" & stat == "Share";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DA2100 DA2101 DA2102 DA2103 DA2105 DA2107 DA2109 DA2199 DA1000 DA1110 DA1120 DA1130 DA1131 DA1140";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};



* For some reason when I do a loop here it doesnt work;
replace valueDA2100 = valueDA2100[32] in 1;
replace valueDA2100 = valueDA2100[31] in 32;
replace valueDA2101 = valueDA2101[32] in 1;
replace valueDA2101 = valueDA2101[31] in 32;
replace valueDA2102 = valueDA2102[32] in 1;
replace valueDA2102 = valueDA2102[31] in 32;
replace valueDA2103 = valueDA2103[32] in 1;
replace valueDA2103 = valueDA2103[31] in 32;
replace valueDA2105 = valueDA2105[32] in 1;
replace valueDA2105 = valueDA2105[31] in 32;
replace valueDA2107 = valueDA2107[32] in 1;
replace valueDA2107 = valueDA2107[31] in 32;
replace valueDA2109 = valueDA2109[32] in 1;
replace valueDA2109 = valueDA2109[31] in 32;
replace valueDA2199 = valueDA2199[32] in 1;
replace valueDA2199 = valueDA2199[31] in 32;
replace valueDA1000 = valueDA1000[32] in 1;
replace valueDA1000 = valueDA1000[31] in 32;
replace valueDA1110 = valueDA1110[32] in 1;
replace valueDA1110 = valueDA1110[31] in 32;
replace valueDA1120 = valueDA1120[32] in 1;
replace valueDA1120 = valueDA1120[31] in 32;
replace valueDA1130 = valueDA1130[32] in 1;
replace valueDA1130 = valueDA1130[31] in 32;
replace valueDA1131 = valueDA1131[32] in 1;
replace valueDA1131 = valueDA1131[31] in 32;
replace valueDA1140 = valueDA1140[32] in 1;
replace valueDA1140 = valueDA1140[31] in 32;


rename valueDA2100 se_da2100_da2100;
rename valueDA2101 se_da2101_da2100;
rename valueDA2102 se_da2102_da2100;
rename valueDA2103 se_da2103_da2100;
rename valueDA2105 se_da2105_da2100;
rename valueDA2107 se_da2107_da2100;
rename valueDA2109 se_da2109_da2100;
rename valueDA2199 se_da2199_da2100;
rename valueDA1000 se_da1000_da1000;
rename valueDA1110 se_da1110_da1000;
rename valueDA1120 se_da1120_da1000;
rename valueDA1130 se_da1130_da1000;
rename valueDA1131 se_da1131_da1000;
rename valueDA1140 se_da1140_da1000;


save "`basePath'\stats\averagedImplicates\assetshare_se.dta", replace;




* Table: Debt Participation;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DL1000i" | var == "DL1100i" | var == "DL1110i" | var == "DL1120i" | var == "DL1200i" | var == "DL1210i" | var == "DL1220i" | var == "DL1230i") & dm == "POP";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DL1000i DL1100i DL1110i DL1120i DL1200i DL1210i DL1220i DL1230i";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};



replace valueDL1000i = valueDL1000i[32] in 1;
replace valueDL1000i = valueDL1000i[31] in 32;
replace valueDL1100i = valueDL1100i[32] in 1;
replace valueDL1100i = valueDL1100i[31] in 32;
replace valueDL1110i = valueDL1110i[32] in 1;
replace valueDL1110i = valueDL1110i[31] in 32;
replace valueDL1120i = valueDL1120i[32] in 1;
replace valueDL1120i = valueDL1120i[31] in 32;
replace valueDL1200i = valueDL1200i[32] in 1;
replace valueDL1200i = valueDL1200i[31] in 32;
replace valueDL1210i = valueDL1210i[32] in 1;
replace valueDL1210i = valueDL1210i[31] in 32;
replace valueDL1220i = valueDL1220i[32] in 1;
replace valueDL1220i = valueDL1220i[31] in 32;
replace valueDL1230i = valueDL1230i[32] in 1;
replace valueDL1230i = valueDL1230i[31] in 32;

rename valueDL1000i se_dl1000i_mean;
rename valueDL1100i se_dl1100i_mean;
rename valueDL1110i se_dl1110i_mean;
rename valueDL1120i se_dl1120i_mean;
rename valueDL1200i se_dl1200i_mean;
rename valueDL1210i se_dl1210i_mean;
rename valueDL1220i se_dl1220i_mean;
rename valueDL1230i se_dl1230i_mean;

save "`basePath'\stats\averagedImplicates\debtparticipation_se.dta", replace;



* Table: Debt Values;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DL1000" | var == "DL1100" | var == "DL1110" | var == "DL1120" | var == "DL1200" | var == "DL1210" | var == "DL1220" | var == "DL1230") & dm == "POP" & stat == "Median";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DL1000 DL1100 DL1110 DL1120 DL1200 DL1210 DL1220 DL1230";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};


replace valueDL1000 = valueDL1000[32] in 1;
replace valueDL1000 = valueDL1000[31] in 32;
replace valueDL1100 = valueDL1100[32] in 1;
replace valueDL1100 = valueDL1100[31] in 32;
replace valueDL1110 = valueDL1110[32] in 1;
replace valueDL1110 = valueDL1110[31] in 32;
replace valueDL1120 = valueDL1120[32] in 1;
replace valueDL1120 = valueDL1120[31] in 32;
replace valueDL1200 = valueDL1200[32] in 1;
replace valueDL1200 = valueDL1200[31] in 32;
replace valueDL1210 = valueDL1210[32] in 1;
replace valueDL1210 = valueDL1210[31] in 32;
replace valueDL1220 = valueDL1220[32] in 1;
replace valueDL1220 = valueDL1220[31] in 32;
replace valueDL1230 = valueDL1230[32] in 1;
replace valueDL1230 = valueDL1230[31] in 32;

rename valueDL1000 se_dl1000_median;
rename valueDL1100 se_dl1100_median;
rename valueDL1110 se_dl1110_median;
rename valueDL1120 se_dl1120_median;
rename valueDL1200 se_dl1200_median;
rename valueDL1210 se_dl1210_median;
rename valueDL1220 se_dl1220_median;
rename valueDL1230 se_dl1230_median;


save "`basePath'\stats\averagedImplicates\debtvalue_se.dta", replace;


* Table: Debt Shares;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DL1100" | var == "DL1110" | var == "DL1120" | var == "DL1200" | var == "DL1210" | var == "DL1220" | var == "DL1230") & dm == "POP" & stat == "Share";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DL1100 DL1110 DL1120 DL1200 DL1210 DL1220 DL1230";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};


replace valueDL1100 = valueDL1100[32] in 1;
replace valueDL1100 = valueDL1100[31] in 32;
replace valueDL1110 = valueDL1110[32] in 1;
replace valueDL1110 = valueDL1110[31] in 32;
replace valueDL1120 = valueDL1120[32] in 1;
replace valueDL1120 = valueDL1120[31] in 32;
replace valueDL1200 = valueDL1200[32] in 1;
replace valueDL1200 = valueDL1200[31] in 32;
replace valueDL1210 = valueDL1210[32] in 1;
replace valueDL1210 = valueDL1210[31] in 32;
replace valueDL1220 = valueDL1220[32] in 1;
replace valueDL1220 = valueDL1220[31] in 32;
replace valueDL1230 = valueDL1230[32] in 1;
replace valueDL1230 = valueDL1230[31] in 32;

rename valueDL1100 se_dl1100;
rename valueDL1110 se_dl1110;
rename valueDL1120 se_dl1120;
rename valueDL1200 se_dl1200;
rename valueDL1210 se_dl1210;
rename valueDL1220 se_dl1220;
rename valueDL1230 se_dl1230;

save "`basePath'\stats\averagedImplicates\debtshare_se.dta", replace;


* Table: Credit Constraints;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DOCREDITAPPL" | var == "DOCREDITNOTAPPL" | var == "DOCREDITREFUSED" | var == "DOCREDITC") & dm == "POP";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DOCREDITAPPL DOCREDITNOTAPPL DOCREDITREFUSED DOCREDITC";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};



replace valueDOCREDITAPPL = valueDOCREDITAPPL[32] in 1;
replace valueDOCREDITAPPL = valueDOCREDITAPPL[31] in 32;
replace valueDOCREDITNOTAPPL = valueDOCREDITNOTAPPL[32] in 1;
replace valueDOCREDITNOTAPPL = valueDOCREDITNOTAPPL[31] in 32;
replace valueDOCREDITREFUSED = valueDOCREDITREFUSED[32] in 1;
replace valueDOCREDITREFUSED = valueDOCREDITREFUSED[31] in 32;
replace valueDOCREDITC = valueDOCREDITC[32] in 1;
replace valueDOCREDITC = valueDOCREDITC[31] in 32;


rename valueDOCREDITAPPL se_docreditappl;
rename valueDOCREDITNOTAPPL se_docreditnotappl;
rename valueDOCREDITREFUSED se_docreditrefused;
rename valueDOCREDITC se_docreditc;

save "`basePath'\stats\averagedImplicates\creditconstraints_se.dta", replace;



* Table: Debt Burden;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DODARATIO" | var == "DODIRATIO" | var == "DODSTOTALP" | var == "DODSMORTG" | var == "DOLTVRATIO" | var == "DNNLARATIO") & dm == "POP" & stat == "Median";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
local allvars "DODARATIO DODIRATIO DODSTOTALP DODSMORTG DOLTVRATIO DNNLARATIO";
foreach var of local allvars {;
replace value`var' = .c if value`var' == .;
};


replace valueDODARATIO = valueDODARATIO[32] in 1;
replace valueDODARATIO = valueDODARATIO[31] in 32;
replace valueDODIRATIO = valueDODIRATIO[32] in 1;
replace valueDODIRATIO = valueDODIRATIO[31] in 32;
replace valueDODSTOTALP = valueDODSTOTALP[32] in 1;
replace valueDODSTOTALP = valueDODSTOTALP[31] in 32;
replace valueDODSMORTG = valueDODSMORTG[32] in 1;
replace valueDODSMORTG = valueDODSMORTG[31] in 32;
replace valueDOLTVRATIO = valueDOLTVRATIO[32] in 1;
replace valueDOLTVRATIO = valueDOLTVRATIO[31] in 32;
replace valueDNNLARATIO = valueDNNLARATIO[32] in 1;
replace valueDNNLARATIO = valueDNNLARATIO[31] in 32;

rename valueDODARATIO se_dodaratio;
rename valueDODIRATIO se_dodiratio;
rename valueDODSTOTALP se_dodstotalp;
rename valueDODSMORTG se_dodsmortg;
rename valueDOLTVRATIO se_doltvratio;
rename valueDNNLARATIO se_dnnlaratio;


save "`basePath'\stats\averagedImplicates\debtburden_se.dta", replace;



* Table: Income;
use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DI2000" & stat == "Mean" & dm == "POP";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_di2000_mean;

save "`basePath'\stats\averagedImplicates\di2000_mean_se.dta", replace;

use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DI2000" & stat == "Median" & dm == "POP";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_di2000_median;

save "`basePath'\stats\averagedImplicates\di2000_median_se.dta", replace;




* Table: Income Composition;
use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DI1300i" | var == "DI1400i") & dm == "POP";
reshape wide value, i(sa0100) j(var) s;

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace valueDI1300i = .c if valueDI1300i == .;
replace valueDI1400i = .c if valueDI1400i == .;
* Now I need to change the value of the EA value to be in the first observation;
replace valueDI1300i = valueDI1300i[32] in 1;
replace valueDI1300i = valueDI1300i[31] in 32;
replace valueDI1400i = valueDI1400i[32] in 1;
replace valueDI1400i = valueDI1400i[31] in 32;


rename valueDI1300i se_di1300i;
rename valueDI1400i se_di1400i;


save "`basePath'\stats\averagedImplicates\incomecomposition_i_se.dta", replace;


use"`dataPath'\stderrors_all.dta", clear;

keep if (var == "DI1300SH" | var == "DI1400SH") & dm == "POP" & stat == "Median";
reshape wide value, i(sa0100) j(var) s;

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace valueDI1300SH = .c if valueDI1300SH == .;
replace valueDI1400SH = .c if valueDI1400SH == .;
* Now I need to change the value of the EA value to be in the first observation;
replace valueDI1300SH = valueDI1300SH[32] in 1;
replace valueDI1300SH = valueDI1300SH[31] in 32;
replace valueDI1400SH = valueDI1400SH[32] in 1;
replace valueDI1400SH = valueDI1400SH[31] in 32;

rename valueDI1300SH se_di1300sh;
rename valueDI1400SH se_di1400sh;

save "`basePath'\stats\averagedImplicates\incomecomposition_sh_se.dta", replace;



* Table: Consumption;
use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DOFOODC" & dm == "POP" & stat == "Median";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;

replace valueDOFOODC = .c if valueDOFOODC == .;

replace valueDOFOODC = valueDOFOODC[32] in 1;
replace valueDOFOODC = valueDOFOODC[31] in 32;

* Standard errors are for monthly means but we have annual means;
*replace valueDOFOODC = 12*valueDOFOODC;
*replace valueDOFOODC = .c if valueDOFOODC == .;

rename valueDOFOODC se_dofoodc_median;

save "`basePath'\stats\averagedImplicates\dofoodc_median_se.dta", replace;


use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DOFOODC" & dm == "POP" & stat == "Mean";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace valueDOFOODC = .c if valueDOFOODC == .;

replace valueDOFOODC = valueDOFOODC[32] in 1;
replace valueDOFOODC = valueDOFOODC[31] in 32;

* Standard errors are for monthly means but we have annual means;
*replace valueDOFOODC = 12*valueDOFOODC;
*replace valueDOFOODC = .c if valueDOFOODC == .;

rename valueDOFOODC se_dofoodc_mean;

save "`basePath'\stats\averagedImplicates\dofoodc_mean_se.dta", replace;


use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DOFOODCP" & dm == "POP";
reshape wide value, i(sa0100) j(var) s;

gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;

replace valueDOFOODCP = .c if valueDOFOODCP == .;

replace valueDOFOODCP = valueDOFOODCP[32] in 1;
replace valueDOFOODCP = valueDOFOODCP[31] in 32;

* Standard errors are for monthly means but we have annual means;
*replace valueDOFOODCP = 12*valueDOFOODCP;
*replace valueDOFOODCP = .c if valueDOFOODCP == .;

rename valueDOFOODCP se_dofoodcp_median;

save "`basePath'\stats\averagedImplicates\dofoodcp_se.dta", replace;


* Table: Net wealth with HMR owners and non-owners breakdown;
use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DN3001" & stat == "Mean" & dmvalue == "Owners";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dn3001H_mean;

save "`basePath'\stats\averagedImplicates\dn3001H_mean_se.dta", replace;

use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DN3001" & stat == "Median" & dmvalue == "Owners";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dn3001H_median;

save "`basePath'\stats\averagedImplicates\dn3001H_median_se.dta", replace;


use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DN3001" & stat == "Mean" & dmvalue == "Non-owners";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dn3001NH_mean;

save "`basePath'\stats\averagedImplicates\dn3001NH_mean_se.dta", replace;

use"`dataPath'\stderrors_all.dta", clear;

keep if var == "DN3001" & stat == "Median" & dmvalue == "Non-owners";

* The next lines are creating a structure similar to the one we have in the descriptive statistics files so we can merge them;
gsort -sa0100;
set obs `nobs';
gen numbering=_n;
gsort -numbering;
drop numbering;
replace value = .c if value == .;
* Now I need to change the value of the EA value to be in the first observation;
replace value = value[32] in 1;
replace value = value[31] in 32;
rename value se_dn3001NH_median;

save "`basePath'\stats\averagedImplicates\dn3001NH_median_se.dta", replace;

















