
* -----------------------------------------------------------------
* This do file executes all necessary do-file to generate input for the unemployment
* simulation. It contains three main blocks
* 1) OECD Net Replacement Rates for unemployment benefits
* 2) Target unemployment rate (changes of)
* 3) Sectoral unemployment probabilities (idiosyncratic shocks)
* -----------------------------------------------------------------


* -----------------------------------------------------------------
clear
scalar drop _all
program drop _all
clear matrix
discard
capture log close


* -----------------------------------------------------------------
* Set Path
do setPath
global basePath "$basePath\programs\unemploymentSimulation"
local basePath "$basePath"
local stataPath "$stataPath"
local logPath "`stataPath'"
local dataPath "`basePath'\data"
global dataPath "`dataPath'"
adopath + "`stataPath'"

global OECDdataPath "$basePath\OECD_NRR_RawData" 
global SDWdataPath "$basePath\SDW_RawData" 
cd "${basePath}"

* -----------------------------------------------------------------
* Set last observation to compute differences / growh rates
scalar datayear_unemployment = "2013Q2"
scalar datayear_employment = "2013Q2"

* -----------------------------------------------------------------
* 1) OECD net replacement rates
do Master_NRR.do

* -----------------------------------------------------------------
* 1) Taget unemployment rate
do Master_UnemplCalibr.do

* -----------------------------------------------------------------
* 3) Sectoral employment probabilities
do Master_SectEmplProb.do

