
* ----------------------------------------------------------------------------
* Data manipulation for 2010
* ----------------------------------------------------------------------------
use "$OECDdataPath\NRR_raw_2010_1.dta", clear
drop if var1=="Cyprus"
do PrepareRawOECD.do
save NRR_2010_1.dta, replace

use "$OECDdataPath\NRR_raw_2010_2.dta", clear
drop if var1=="Cyprus"
do PrepareRawOECD.do
save NRR_2010_2.dta, replace

use NRR_2010_1.dta,clear
append using NRR_2010_2.dta
do IntermSteps.do
gen date=2010
compress

save OECD_ReplRate2010.dta, replace
rm NRR_2010_1.dta 
rm NRR_2010_2.dta

* ----------------------------------------------------------------------------
* Data manipulation for 2011
* ----------------------------------------------------------------------------
use "$OECDdataPath\NRR_raw_2011_1.dta", clear
drop if var1=="Cyprus"
do PrepareRawOECD.do
save NRR_2011_1.dta, replace

use "$OECDdataPath\NRR_raw_2011_2.dta", clear
drop if var1=="Cyprus"
do PrepareRawOECD.do
save NRR_2011_2.dta, replace

use NRR_2011_1.dta,clear
append using NRR_2011_2.dta
do IntermSteps.do
gen date=2011
drop if ctryid=="CY"
compress

save OECD_ReplRate2011.dta, replace
rm NRR_2011_1.dta 
rm NRR_2011_2.dta


* ----------------------------------------------------------------------------
* Data manipulation for CY: only data for 2007!
* ----------------------------------------------------------------------------
use "$OECDdataPath\NRR_CY_raw_2007_1.dta", clear
do PrepareRawOECD.do
save NRR_CY_2007_1.dta, replace

use "$OECDdataPath\NRR_CY_raw_2007_2.dta", clear
do PrepareRawOECD.do
save NRR_CY_2007_2.dta, replace

use NRR_CY_2007_1.dta
append using NRR_CY_2007_2.dta
do IntermSteps.do
gen date=2010
compress

save CY_ReplRate2007.dta, replace
rm NRR_CY_2007_1.dta
rm NRR_CY_2007_2.dta

* ----------------------------------------------------------------------------
* Pool data
* ----------------------------------------------------------------------------
use OECD_ReplRate2010.dta
append using OECD_ReplRate2011.dta
append using CY_ReplRate2007.dta
* Keep only MU countries
drop if ctryid!="AT" & ctryid!="NL" & ctryid!="FR" & ctryid!="IE" & ctryid!="GR" & ctryid!="IT" & ctryid!="CY" & ctryid!="ES" & ctryid!="LU" /*
*/ & ctryid!="MT" & ctryid!="PT" & ctryid!="SI" & ctryid!="SK" & ctryid!="FI" & ctryid!="BE" & ctryid!="EE" & ctryid!="DE"
label variable children "0: no children; 1: 2 children"
label variable inc "3 income categories: 67/100/150 of awg. wage"
label variable replrate "net replacement rate of last wage"
label variable single "1: single person / loan parent; 0: married couple "

* Rename ctryid for Miguel
rename ctryid sa0100

save OECD_ReplRate_ALL.dta, replace

* Delte Intermediate Files
rm OECD_ReplRate2011.dta 
rm OECD_ReplRate2010.dta 
rm CY_ReplRate2007.dta

* Some tests for most important category
tab inc, gen(inc_group)
reg repl children single inc_group1 inc_group2, beta




