

* -----------------------------------------------------------------
* Load data
do SDW_download_UnemplT.do
use "$SDWdataPath\UnemplT_ALL.dta", clear
* -----------------------------------------------------------------


* -----------------------------------------------------------------
* Step 0: Set the starting time of the sample and the current cate
* relevant points in time
gen datayear = datayear_unemployment
gen base_ind = .
do SetBaseYear.do
gen temp1 = quarterly(date, "YQ")
gen temp2 = quarterly(hfcnyear, "YQ")
gen temp3 = quarterly(datayear, "YQ")
drop date hfcnyear datayear
rename temp1 date
rename temp2 hfcnyear
rename temp3 datayear
format date hfcnyear datayear %tq
compress

gen delta_t1 = hfcnyear

* Replace non-necessary values by missings
global gen_varlist= "T M F"
global ctrylist="AT NL FR IE GR IT CY ES LU MT PT SI SK FI BE EE DE"
foreach ii of global ctrylist {
	foreach ij of global gen_varlist {
	replace U`ij'=. if ctryid=="`ii'" & (date!= delta_t1 & date!=datayear)
	replace base_ind=1 if ctryid=="`ii'" & date==delta_t1
	replace base_ind=2 if ctryid=="`ii'" & date==datayear
	}
}

* Drop all non-base/data-year observations
collapse (sum) U* , by(base_ind ctryid)
drop if base_ind==.
sort ctryid base_ind

* Set timers to use L-operator
encode ctryid, gen(ctryid_num)
tsset ctryid_num base_ind
compress
* -----------------------------------------------------------------



* -----------------------------------------------------------------
* Step 2: Generate Differences
gen ScaleF_UT = UT/L.UT 
gen ScaleF_UM = UT/L.UM
gen ScaleF_UF = UT/L.UF
collapse (mean) ScaleF_*, by(ctryid)
* Rename ctryid for Miguel
rename ctryid sa0100
compress
save UnemplT_Target.dta, replace
* -----------------------------------------------------------------



