/* This Stata program was automatically generated by Stat/Transfer ver.12.0.76.0829 */

/* ENCODING CP1252 */

/* The following line should contain the complete path and name of your raw data file */
local dat_name "C:\Documents and Settings\vogeled\Desktop\WPP\WPP2012_INT_F3_Population_Annual_Single_Medium.dat"

/* The following line should contain the path to your output '.dta' file */
local dta_name "C:\Documents and Settings\vogeled\Desktop\WPP\WPP2012_INT_F3_Population_Annual_Single_Medium.dta"

/* The following line should contain the path to the data dictionary file */
local dct_name "C:\Documents and Settings\vogeled\Desktop\WPP\WPP2012_INT_F3_Population_Annual_Single_Medium.dct"

infile using "`dct_name'", using("`dat_name'") clear 


* -------------------------------------------------------------------------------------
* This is now own code
global basePath "C:\Documents and Settings\vogeled\Desktop\HFCN_D\"
*global basePath "C:\Users\Edgar\Desktop\HFCN_D\"
global graphPath "$basePath\graphs_debtsimul" 
*cd "${basePath}"

gen inHFCN = 0
replace inHFCN = 1 if Location=="Austria"
replace inHFCN = 1 if Location=="Belgium"
replace inHFCN = 1 if Location=="Cyprus"
replace inHFCN = 1 if Location=="Germany"
replace inHFCN = 1 if Location=="Spain"
replace inHFCN = 1 if Location=="Finland"
replace inHFCN = 1 if Location=="France"
replace inHFCN = 1 if Location=="Greece"
replace inHFCN = 1 if Location=="Italy"
replace inHFCN = 1 if Location=="Luxembourg"
replace inHFCN = 1 if Location=="Malta"
replace inHFCN = 1 if Location=="Netherlands"
replace inHFCN = 1 if Location=="Portugal"
replace inHFCN = 1 if Location=="Slovenia"
replace inHFCN = 1 if Location=="Slovakia"

* Some admin stuff
keep if inHFCN==1
drop inHFCN
keep if Time>2007
keep Location Time Sex AgeGrp Value

rename AgeGrp age
rename Value pop
rename Sex sex
rename Time year

replace Location = "AT" if Location=="Austria"
replace Location = "BE" if Location=="Belgium"
replace Location = "CY" if Location=="Cyprus"
replace Location = "DE" if Location=="Germany"
replace Location = "ES" if Location=="Spain"
replace Location = "FI" if Location=="Finland"
replace Location = "FR" if Location=="France"
replace Location = "GR" if Location=="Greece"
replace Location = "IT" if Location=="Italy"
replace Location = "LU" if Location=="Luxembourg"
replace Location = "MT" if Location=="Malta"
replace Location = "NL" if Location=="Netherlands"
replace Location = "PT" if Location=="Portugal"
replace Location = "SI" if Location=="Slovenia"
replace Location = "SK" if Location=="Slovakia"
rename Location sa0100

destring age, replace
drop if age<16
drop if year>2020
compress

cd "${basePath}"
saveold WPP_HFCN.dta, replace

use WPP_HFCN.dta, clear

* TEST
*keep if sa0100=="AT"
*keep if sex=="Both"
*sort age

* Additional step: sum all agents above 80 into
* one category: more reliable data as data 80+ is dodgy
gen age80p=(age>=80)
bysort sa0100 sex year age80p: egen temp=sum(pop)
replace pop=temp if age80p==1
replace pop=. if age>80
drop temp

* Generate distribution
bysort sa0100 sex year: egen totpop=sum(pop)
gen popdist=pop/totpop

* Generate values for 80+ (fill data)
bysort sa0100 sex year age80p: egen temp=mean(popdist)
replace popdist=temp if age80p==1
drop age80p temp

* Assume base year 2008 for all (test code)
gen temp = popdist if year==2008 & sa0100=="FR"
*replace temp = popdist if year==2010 & sa0100=="DE"
bysort sa0100 sex age: egen popdist_base=mean(temp)
gen popdist_rel=popdist/popdist_base
keep sa0100 age year sex popdist_rel popdist


* TEST
*drop sex sa0100
*reshape wide popdist_rel popdist, i(age) j(year)
*line popdist2008 popdist2009 popdist2010 popdist2020 age if age<80
*line popdist_rel2008 popdist_rel2009 popdist_rel2010 popdist_rel2015 age if age<80


* Some data handling to reshape (generate unique ID)
encode sa0100, gen(sa0100_num)
gen long tempID = (year*100+age)*100+sa0100_num
rename popdist_rel popdist_rel_
rename popdist popdist_
reshape wide popdist_rel_ popdist_, i(tempID) j(sex, string)
drop tempID sa0100_num
aorder
sort sa0100 year age
compress

saveold UpdatePopDist.dta, replace
* -------------------------------------------------------------------------------------
