


#delimit;

***** Proportion of Wealth Held by Percentile;
tempname hh;
file open `hh' using "$dataPath\tWealthEffects.tex", write replace;

file write `hh' "\begin{table}" _n;
file write `hh' "\caption{Wealth Effect on Consumption (Percent of Aggregate Consumption, 2013) \label{tWealthEffects}} " _n;
file write `hh' "\begin{minipage}{\textwidth}" _n; 
file write `hh' "\begin{center}" _n;
*file write `hh' "\showEstTime{$lineLabel } ";  * COMMENT OUT IF DESIRABLE;
file write `hh' "\begin{tabular}{@{}ld{3}d{4}d{3}d{5}d{9}@{}}" _n;
file write `hh' " \toprule" _n; 
file write `hh' " \multicolumn{6}{l}{Homogeneous MPC: All Households = 0.025} " $eolString _n;  
file write `hh' " \multicolumn{6}{l}{Heterogeneous MPC: Income Quintiles 1--5 = $ \{0.04, 0.035, 0.025, 0.015, 0.01 \}$ } " $eolString _n;  
file write `hh' " \midrule " _n; 
file write `hh' " &  & &  & & \multicolumn{1}{c}{Consumption}" $eolString _n;
file write `hh' " &  \multicolumn{2}{c}{Homogeneous MPC} &  \multicolumn{2}{c}{Heterogeneous MPC} & \multicolumn{1}{c}{Growth}" $eolString _n;
file write `hh' "   \cmidrule(r){2-3}  \cmidrule(l){4-5} "  _n;
file write `hh' "   Country & \multicolumn{1}{c}{Median} & \multicolumn{1}{c}{Mean} & \multicolumn{1}{c}{Median} & \multicolumn{1}{c}{Mean} & \multicolumn{1}{c}{2008--2013} " $eolString _n;
file write `hh' "\midrule" _n;

file write `hh' "Austria & " %5.1f (dconsPerc_hom_median_AT) " & " %5.1f (dconsPerc_hom_mean_AT) " & " %5.1f (dconsPerc_het_median_AT) " & " %5.1f (dconsPerc_het_mean_AT) " & " %5.1f (cGrowth_AT) $eolString _n;
file write `hh' "Belgium & " %5.1f (dconsPerc_hom_median_BE) " & " %5.1f (dconsPerc_hom_mean_BE) " & " %5.1f (dconsPerc_het_median_BE) " & " %5.1f (dconsPerc_het_mean_BE) " & " %5.1f (cGrowth_BE) $eolString _n;
file write `hh' "Cyprus & " %5.1f (dconsPerc_hom_median_CY) " & " %5.1f (dconsPerc_hom_mean_CY) " & " %5.1f (dconsPerc_het_median_CY) " & " %5.1f (dconsPerc_het_mean_CY) " & " %5.1f (cGrowth_CY) $eolString _n;
file write `hh' "Finland & " %5.1f (dconsPerc_hom_median_FI) " & " %5.1f (dconsPerc_hom_mean_FI) " & " %5.1f (dconsPerc_het_median_FI) " & " %5.1f (dconsPerc_het_mean_FI) " & " %5.1f (cGrowth_FI) $eolString _n;
file write `hh' "France & " %5.1f (dconsPerc_hom_median_FR) " & " %5.1f (dconsPerc_hom_mean_FR) " & " %5.1f (dconsPerc_het_median_FR) " & " %5.1f (dconsPerc_het_mean_FR) " & " %5.1f (cGrowth_FR) $eolString _n;
file write `hh' "Germany & " %5.1f (dconsPerc_hom_median_DE) " & " %5.1f (dconsPerc_hom_mean_DE) " & " %5.1f (dconsPerc_het_median_DE) " & " %5.1f (dconsPerc_het_mean_DE) " & " %5.1f (cGrowth_DE) $eolString _n;
file write `hh' "Greece & " %5.1f (dconsPerc_hom_median_GR) " & " %5.1f (dconsPerc_hom_mean_GR) " & " %5.1f (dconsPerc_het_median_GR) " & " %5.1f (dconsPerc_het_mean_GR) " & " %5.1f (cGrowth_GR) $eolString _n;
file write `hh' "Italy & " %5.1f (dconsPerc_hom_median_IT) " & " %5.1f (dconsPerc_hom_mean_IT) " & " %5.1f (dconsPerc_het_median_IT) " & " %5.1f (dconsPerc_het_mean_IT) " & " %5.1f (cGrowth_IT) $eolString _n;
file write `hh' "Luxembourg & " %5.1f (dconsPerc_hom_median_LU) " & " %5.1f (dconsPerc_hom_mean_LU) " & " %5.1f (dconsPerc_het_median_LU) " & " %5.1f (dconsPerc_het_mean_LU) " & " %5.1f (cGrowth_LU) $eolString _n;
file write `hh' "Malta & " %5.1f (dconsPerc_hom_median_MT) " & " %5.1f (dconsPerc_hom_mean_MT) " & " %5.1f (dconsPerc_het_median_MT) " & " %5.1f (dconsPerc_het_mean_MT) " & " %5.1f (cGrowth_MT) $eolString _n;
file write `hh' "Netherlands & " %5.1f (dconsPerc_hom_median_NL) " & " %5.1f (dconsPerc_hom_mean_NL) " & " %5.1f (dconsPerc_het_median_NL) " & " %5.1f (dconsPerc_het_mean_NL) " & " %5.1f (cGrowth_NL) $eolString _n;
file write `hh' "Portugal & " %5.1f (dconsPerc_hom_median_PT) " & " %5.1f (dconsPerc_hom_mean_PT) " & " %5.1f (dconsPerc_het_median_PT) " & " %5.1f (dconsPerc_het_mean_PT) " & " %5.1f (cGrowth_PT) $eolString _n;
file write `hh' "Slovakia & " %5.1f (dconsPerc_hom_median_SK) " & " %5.1f (dconsPerc_hom_mean_SK) " & " %5.1f (dconsPerc_het_median_SK) " & " %5.1f (dconsPerc_het_mean_SK) " & " %5.1f (cGrowth_SK) $eolString _n;
file write `hh' "Slovenia & " %5.1f (dconsPerc_hom_median_SI) " & " %5.1f (dconsPerc_hom_mean_SI) " & " %5.1f (dconsPerc_het_median_SI) " & " %5.1f (dconsPerc_het_mean_SI) " & " %5.1f (cGrowth_SI) $eolString _n;
file write `hh' "Spain & " %5.1f (dconsPerc_hom_median_ES) " & " %5.1f (dconsPerc_hom_mean_ES) " & " %5.1f (dconsPerc_het_median_ES) " & " %5.1f (dconsPerc_het_mean_ES) " & " %5.1f (cGrowth_ES) $eolString _n;
file write `hh' "\midrule" _n;
file write `hh' "All Countries & " %5.1f (dconsPerc_hom_median_EA) " & " %5.1f (dconsPerc_hom_mean_EA) " & " %5.1f (dconsPerc_het_median_EA) " & " %5.1f (dconsPerc_het_mean_EA) " & " %5.1f (cGrowth_EA) $eolString _n;
file write `hh'  "\bottomrule" _n "\end{tabular}" _n;
file write `hh' "\end{center}" _n "\footnotesize{Notes: The last column shows actual real consumption growth, 2008--2013." $eolString  "[2mm]" _n;
file write `hh' "  }" _n "\end{minipage}" _n;
file write `hh' "\end{table}" _n;

file close `hh';

